Index: /extensions/LCAS/trunk/admin/LCAS_admin.php
===================================================================
--- /extensions/LCAS/trunk/admin/LCAS_admin.php	(revision 8180)
+++ /extensions/LCAS/trunk/admin/LCAS_admin.php	(revision 8181)
@@ -14,6 +14,7 @@
 //ini_set('display_errors', true);
 
-include_once(PHPWG_ROOT_PATH.'admin/include/tabsheet.class.php');
-include_once (PHPWG_ROOT_PATH.'/include/constants.php');
+//include_once(PHPWG_ROOT_PATH.'admin/include/tabsheet.class.php');
+include_once(PHPWG_ROOT_PATH.'include/constants.php');
+include_once(PHPWG_ROOT_PATH.'admin/include/functions.php');
 $my_base_url = get_admin_plugin_menu_link(__FILE__);
 
@@ -21,30 +22,5 @@
 load_language('help/plugin.lang', LCAS_PATH);
 
-$page['global'] = array();
 $error = array();
-$pattern = '/;/';
-$replacement = '.';
-
-$LCAS_Password_Test_Score = 0;
-$LCAS_Exclusionlist_Error = false;
-
-// +-----------------------------------------------------------------------+
-// |                            Tabssheet                                  |
-// +-----------------------------------------------------------------------+
-if (!isset($_GET['tab']))
-	$page['tab'] = 'global';
-else
-  $page['tab'] = $_GET['tab'];
-
-$tabsheet = new tabsheet();
-$tabsheet->add('global',
-               l10n('LCAS_Tab_Global'),
-               $my_base_url.'&amp;tab=global');
-  $tabsheet->add('userlist',
-                 l10n('LCAS_Tab_UserList'),
-                 $my_base_url.'&amp;tab=userlist');
-$tabsheet->select($page['tab']);
-$tabsheet->assign();
-
 
 // +-----------------------------------------------------------------------+
@@ -53,17 +29,4 @@
 $plugin =  LCAS_PluginInfos(LCAS_PATH);
 $version = $plugin['version'];
-
-// +-----------------------------------------------------------------------+
-// |                            Tabssheet select                           |
-// +-----------------------------------------------------------------------+
-
-switch ($page['tab'])
-{
-// *************************************************************************
-// +-----------------------------------------------------------------------+
-// |                           Global Config                               |
-// +-----------------------------------------------------------------------+
-// *************************************************************************
-  case 'global':
 
 	if (isset($_POST['submit']) and !is_adviser() and isset($_POST['LCAS_Case_Sensitive']) and isset($_POST['LCAS_Accent_Sensitive']) )
@@ -91,57 +54,6 @@
   }
 
+	$conf_LCAS= unserialize($conf['LoginCaseAccentsSensitivity']);
 
-  $conf_LCAS= unserialize($conf['LoginCaseAccentsSensitivity']);
-
-
-/* Save last opened paragraph in configuration tab */
-  $nb_para=(isset($_POST["nb_para"])) ? $_POST["nb_para"]:"";
-  $nb_para2=(isset($_POST["nb_para2"])) ? $_POST["nb_para2"]:"";
-
-  $template->assign(
-    array(
-    'nb_para'                        => $nb_para,
-    'nb_para2'                       => $nb_para2,
-    'LCAS_VERSION'                   => $version,
-    'LCAS_PATH'                      => LCAS_PATH,
-    'PWG_insensitive_case_logon'     => $conf['insensitive_case_logon']? 'true'              : 'false',
-		'LCAS_Case_Sensitive_TRUE'       => $conf_LCAS[0]=='true'          ? 'checked="checked"' : '' ,
-		'LCAS_Case_Sensitive_FALSE'      => $conf_LCAS[0]=='false'         ? 'checked="checked"' : '' ,
-		'LCAS_Accent_Sensitive_TRUE'     => $conf_LCAS[1]=='true'          ? 'checked="checked"' : '' ,
-		'LCAS_Accent_Sensitive_FALSE'    => $conf_LCAS[1]=='false'         ? 'checked="checked"' : ''
-    )
-  );
-
-
-// +-----------------------------------------------------------------------+
-// |                             errors display                            |
-// +-----------------------------------------------------------------------+
-  if (isset ($errors) and count($errors) != 0)
-  {
-	  $template->assign('errors',array());
-	  foreach ($errors as $error)
-	  {
-		  array_push($page['errors'], $error);
-		}
-	}  
-
-// +-----------------------------------------------------------------------+
-// |                           templates display                           |
-// +-----------------------------------------------------------------------+
-  $template->set_filename('plugin_admin_content', dirname(__FILE__) . '/template/global.tpl');
-  $template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
-
-  break;
-
-
-// *************************************************************************
-// +-----------------------------------------------------------------------+
-// |                           Users list page                             |
-// +-----------------------------------------------------------------------+
-// *************************************************************************
-  case 'userlist':
-  
-  $conf_LCAS= unserialize($conf['LoginCaseAccentsSensitivity']);
-  
   if ((isset($conf_LCAS[0]) and $conf_LCAS[0]=='true') || (isset($conf_LCAS[1]) and $conf_LCAS[1]=='true'))
   {
@@ -149,16 +61,4 @@
 // |                           initialization                              |
 // +-----------------------------------------------------------------------+
-
-		if (!defined('PHPWG_ROOT_PATH'))
-    {
-    	die('Hacking attempt!');
-    }
-          
-    include_once(PHPWG_ROOT_PATH.'admin/include/functions.php');
-
-// +-----------------------------------------------------------------------+
-// | Check Access and exit when user status is not ok                      |
-// +-----------------------------------------------------------------------+
-		check_status(ACCESS_ADMINISTRATOR);
 
     $lcas_UserToUpdate = -1;
@@ -254,16 +154,37 @@
  		}  
 
+  }
+
+
+  $template->assign(
+    array(
+    'LCAS_VERSION'                   => $version,
+    'LCAS_PATH'                      => LCAS_PATH,
+    'PWG_insensitive_case_logon'     => $conf['insensitive_case_logon']? 'true'              : 'false',
+		'LCAS_Case_Sensitive_TRUE'       => $conf_LCAS[0]=='true'          ? 'checked="checked"' : '' ,
+		'LCAS_Case_Sensitive_FALSE'      => $conf_LCAS[0]=='false'         ? 'checked="checked"' : '' ,
+		'LCAS_Accent_Sensitive_TRUE'     => $conf_LCAS[1]=='true'          ? 'checked="checked"' : '' ,
+		'LCAS_Accent_Sensitive_FALSE'    => $conf_LCAS[1]=='false'         ? 'checked="checked"' : ''
+    )
+  );
+
+
+// +-----------------------------------------------------------------------+
+// |                             errors display                            |
+// +-----------------------------------------------------------------------+
+  if (isset ($errors) and count($errors) != 0)
+  {
+	  $template->assign('errors',array());
+	  foreach ($errors as $error)
+	  {
+		  array_push($page['errors'], $error);
+		}
+	}  
+
 // +-----------------------------------------------------------------------+
 // |                           templates display                           |
 // +-----------------------------------------------------------------------+
-		$template->set_filename('plugin_admin_content', dirname(__FILE__) . '/template/userlist.tpl');
-    $template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');		
-  }
-  else
-  {
-		array_push($page['errors'], l10n('LCAS_Err_Userlist_Settings'));
-  }
-  break;
+  $template->set_filename('plugin_admin_content', dirname(__FILE__) . '/template/global.tpl');
+  $template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
 
-}
 ?>
Index: /extensions/LCAS/trunk/admin/template/global.tpl
===================================================================
--- /extensions/LCAS/trunk/admin/template/global.tpl	(revision 8180)
+++ /extensions/LCAS/trunk/admin/template/global.tpl	(revision 8181)
@@ -1,4 +1,6 @@
 {known_script id="jquery" src=$ROOT_URL|@cat:"themes/default/js/jquery.packed.js"}
 {known_script id="jquery.cluetip" src=$ROOT_URL|@cat:"themes/default/js/plugins/jquery.cluetip.packed.js"}
+{known_script id="jquery.tablesorter" src=$LCAS_PATH|@cat:"admin/template/js/jquery.tablesorter.js"}
+{known_script id="jquery.tablesorter.pager" src=$LCAS_PATH|@cat:"admin/template/js/jquery.tablesorter.pager.js"}
 
 {html_head}<link rel="stylesheet" type="text/css" href="{$LCAS_PATH}admin/template/lcas.css">{/html_head}
@@ -24,4 +26,14 @@
   {rdelim}
 {rdelim}
+$(document).ready(function() 
+    {ldelim}
+      $("#sorting")
+      .tablesorter({ldelim}sortList:[[3,0]], headers: {ldelim} 1: {ldelim} sorter: false {rdelim}, 4: {ldelim} sorter: false {rdelim}, 5: {ldelim} sorter: false {rdelim} {rdelim} {rdelim})
+      .tablesorterPager({ldelim}container: $("#pager"), positionFixed: false, size: 20, totalPages: 0{rdelim});
+    {rdelim} 
+);
+function UpdateAUser(UserId) {ldelim}
+	document.UserList.UserToUpdate.value=UserId;document.UserList.submit();
+{rdelim}
 </script>
 
@@ -32,11 +44,6 @@
 <form method="post" action="" class="general">
 
-  <p>
-    <input class="submit" type="submit" value="{'submit'|@translate}" name="submit" {$TAG_INPUT_ENABLED}>
-  </p>
-
   <input name="nb_para" id="nb_para" type="text" value="{$nb_para}" style="display:none"> 
   <input name="nb_para2" id="nb_para2" type="text" value="{$nb_para2}" style="display:none"> 
-
 
   <div id="instructionConfig2" class="instructionBlock" >
@@ -77,27 +84,96 @@
         </ul>
       </fieldset>
+	    <div style="text-align: center;"><input class="submit" type="submit" value="{'submit'|@translate}" name="submit" {$TAG_INPUT_ENABLED}></div>
     </div>
   </div>
 
-
-  <p>
-    <input class="submit" type="submit" value="{'submit'|@translate}" name="submit" {$TAG_INPUT_ENABLED} >
-  </p>
 </form>
 
-  <div id="currentPWGConfig" class="instructionBlock" >
+<br/><br/>
 
-    <div id="currentPWGConfig_header" class="instructionBlockHeader">
-      <span class="cluetip" title="{'LCAS_currentPWGConfigTitle'|translate}|{'LCAS_currentPWGConfigTitle_d'|translate}">
-        {'LCAS_currentPWGConfigHeader'|@translate}
-      </span>
-    </div>
-  
-    <div id="Config2" class="instructionBlockContent" style="display:block">
-      <fieldset>
-        <ul>
-          <li>
-            <label class="cluetip" title="{'LCAS_currentPWGConfig'|translate}|{'LCAS_currentPWGConfig_d'|translate}">
-              $conf['insensitive_case_logon'] = 
+<div id="usersToBeUpdated" class="instructionBlock" >
+
+  <div id="usersToBeUpdated_header" class="instructionBlockHeader">
+    <span class="cluetip" title="{'LCAS_userlistTitle'|translate}|{'LCAS_userlistTitle_d'|translate}">
+      {'LCAS_UserList_Title'|@translate}
+    </span>
+  </div>
+  <div id="Config2" class="instructionBlockContent" style="display:block">
+		<fieldset>
+		  <form method="post" name="UserList" id="UserList" action="" class="general">
+			<input type="hidden" id="UserToUpdate" name="UserToUpdate" value="-1" />
+		{if count($users) > 0}
+		      <table id="sorting" class="table2" width="97%" summary="">
+		  			<thead>
+		    			<tr class="throw">
+		      			<th>{'Username'|@translate}</th>
+		            <th>{'Profile'|@translate}</th>
+		      			<th>{'Email address'|@translate}</th>
+		      			<th>{'LCAS_Compare_value_h'|@translate}</th>
+		            <th>{'LCAS_Update_h'|@translate}</th>
+		            <th>{'LCAS_Notify_h'|@translate}</th>
+		    			</tr>
+		  			</thead>
+		        <tbody>
+		        {foreach from=$users item=user name=users_loop}
+		          <tr class="{if $smarty.foreach.users_loop.index is odd}row1{else}row2{/if}">
+		            <td><input class="LCAS_textfields" type="text" name="user-{$user.ID}" id="user-{$user.ID}" value="{$user.USERNAME}" /></td>
+		            <td style="text-align:center;"><a href="./admin.php?page=profile&amp;user_id={$user.ID}" title="{'Profile'|@translate}" onclick="window.open(this.href); return false;"><img src="{$LCAS_PATH}admin/template/icon/edit_s.png"></a></td>
+		            <td>{$user.EMAIL}</td>
+		{if $user.DISPLAY == 'orange'}
+		            <td style="color:orange;text-align:center;">{$user.COMPARE}</td>
+		{else}
+		            <td style="text-align:center;">{$user.COMPARE}</td>
+		{/if}
+		            <td style="text-align:center;"><a href="javascript:UpdateAUser({$user.ID});">{'LCAS_Update_User'|@translate}</a></td>
+		            <td style="text-align:center;"><a href="javascript:alert('to do - {$user.ID}');">{'LCAS_Send_Email'|@translate}</a></td>
+		            {foreach from=$user.plugin_columns item=data}
+		              <td>{$data}</td>
+		            {/foreach}    			
+		          </tr>
+		        {/foreach}
+		        </tbody>
+		      </table>
+		<div id="pager" class="pager">
+			<form>
+				<img src="{$LCAS_PATH}admin/template/icon/first.png" class="first">
+				<img src="{$LCAS_PATH}admin/template/icon/prev.png" class="prev">
+				<input type="text" class="pagedisplay">
+				<img src="{$LCAS_PATH}admin/template/icon/next.png" class="next">
+				<img src="{$LCAS_PATH}admin/template/icon/last.png" class="last">
+				<select class="pagesize">
+					<option  value="10">10</option>
+					<option selected="selected" value="20">20</option>
+					<option value="30">30</option>
+					<option value="40">40</option>
+				</select>
+			</form>
+		</div>
+		    	<br>
+		{else}
+		<div>
+			{'LCAS_No_User'|@translate}
+		</div>
+		{/if}
+		</form>
+		</fieldset>
+
+  </div>
+</div>
+<br/><br/>
+<div id="currentPWGConfig" class="instructionBlock" >
+
+  <div id="currentPWGConfig_header" class="instructionBlockHeader">
+    <span class="cluetip" title="{'LCAS_currentPWGConfigTitle'|translate}|{'LCAS_currentPWGConfigTitle_d'|translate}">
+      {'LCAS_currentPWGConfigHeader'|@translate}
+    </span>
+  </div>
+
+  <div id="Config2" class="instructionBlockContent" style="display:block">
+    <fieldset>
+      <ul>
+        <li>
+          <label class="cluetip" title="{'LCAS_currentPWGConfig'|translate}|{'LCAS_currentPWGConfig_d'|translate}">
+            $conf['insensitive_case_logon'] = 
 {if $PWG_insensitive_case_logon == 'true'}
 	<span style="color: green;">{$PWG_insensitive_case_logon}</span>;
@@ -105,19 +181,12 @@
 	<span style="color: red;">{$PWG_insensitive_case_logon}</span>;
 {/if}
-              
-              
-              
-            </label>
-            <br><br>
-          </li>
-        </ul>
-      </fieldset>
-    </div>
+          </label>
+          <br><br>
+        </li>
+      </ul>
+    </fieldset>
   </div>
+</div>
 
-
-<fieldset>
-  {'LCAS_Support_txt'|@translate}
-</fieldset>
 
 <script type="text/javascript">
Index: /extensions/LCAS/trunk/language/en_UK/help/plugin.lang.php
===================================================================
--- /extensions/LCAS/trunk/language/en_UK/help/plugin.lang.php	(revision 8180)
+++ /extensions/LCAS/trunk/language/en_UK/help/plugin.lang.php	(revision 8181)
Index: /extensions/LCAS/trunk/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/LCAS/trunk/language/en_UK/plugin.lang.php	(revision 8180)
+++ /extensions/LCAS/trunk/language/en_UK/plugin.lang.php	(revision 8181)
@@ -55,3 +55,5 @@
 $lang['LCAS_save_config'] = 'Paramètres enregistrés<br/>Veuillez vérifier les éventuels utilisateurs problématiques sur le second onglet.';
 
+$lang['submit'] = 'Sauvegarder les paramètres';
+
 ?>
Index: /extensions/LCAS/trunk/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/LCAS/trunk/language/fr_FR/plugin.lang.php	(revision 8180)
+++ /extensions/LCAS/trunk/language/fr_FR/plugin.lang.php	(revision 8181)
@@ -53,3 +53,6 @@
 $lang['LCAS_save_config'] = 'Paramètres enregistrés<br/>Veuillez vérifier les éventuels utilisateurs problématiques sur le second onglet.';
 
+$lang['submit'] = 'Sauvegarder les paramètres';
+
+
 ?>