Index: /extensions/stripped/js/scripts-tpp.js
===================================================================
--- /extensions/stripped/js/scripts-tpp.js	(revision 8182)
+++ /extensions/stripped/js/scripts-tpp.js	(revision 8183)
@@ -59,4 +59,6 @@
 	var delay;
 	if (options.animatedTabs) {delay = "slow";} else {delay = 0;}
+	var hfirst;
+	if (jQuery.browser.msie) {hfirst=false;} else {hfirst=true;}
 	
 	var tab_titles=jQuery(".tabTitle");
@@ -95,5 +97,5 @@
 						if (index1 == index2) {
 							if (old_selected_tab == -1) {
-								jQuery(this).show("fold",{horizFirst:true,mode:"show",size:'1'},delay);
+								jQuery(this).show("fold",{horizFirst:hfirst,mode:"show",size:'1'},delay);
 							} else {
 								jQuery(this).show();
@@ -268,5 +270,5 @@
 			// position
 			
-			var prevbox_pos1= parseInt( ( content_width - image_width + PrevImg.outerWidth()) / 2 ) + 20;
+			var prevbox_pos1= parseInt( ( content_width - image_width + PrevImg.outerWidth()) / 2 ) + 120;
 			var prevbox_pos0= prevbox_pos1 - PrevBoxOut.width();
 			var left_margin = parseInt( ( window_width - content_width ) / 2 );
@@ -301,5 +303,5 @@
 			// position
 
-			var nextbox_pos1= parseInt( ( content_width - image_width + NextImg.outerWidth()) / 2 ) + 20;
+			var nextbox_pos1= parseInt( ( content_width - image_width + NextImg.outerWidth()) / 2 ) + 120;
 			var nextbox_pos0= nextbox_pos1 - NextBoxOut.width();
 			var right_margin = parseInt( ( window_width - content_width ) / 2 );
Index: /extensions/stripped/readme.txt
===================================================================
--- /extensions/stripped/readme.txt	(revision 8182)
+++ /extensions/stripped/readme.txt	(revision 8183)
@@ -28,4 +28,16 @@
 ---------
 
+*** version 1.1.0
+
+- picture navbuttons moved into the title bar
+- increased size of prev/next thumbnail zone on picture page
+- picture icons and thumbnail arrows replaced by png stripes
+- improved compatibility with Internet Explorer 6 (centered thumbnails)
+
+*** version 1.0.2
+
+- minor layout changes
+- improved compatibility with Internet Explorer
+
 *** version 1.0.1
 
Index: /extensions/stripped/template/picture.tpl
===================================================================
--- /extensions/stripped/template/picture.tpl	(revision 8182)
+++ /extensions/stripped/template/picture.tpl	(revision 8183)
@@ -56,5 +56,8 @@
 			<li><a href="{$U_SLIDESHOW_START}" title="{'slideshow'|@translate}" rel="nofollow">{'slideshow'|@translate}</a></li>
         {/if}
-		<li><div class="imageNumber">{$PHOTO}</div></li>
+		<li id="imageToolBar">
+			{include file='picture_nav_buttons.tpl'|@get_extent:'picture_nav_buttons'}
+		</li>
+		<li class="imageNumber">{$PHOTO}</li>
 		{php}
 			global $pwg_loaded_plugins;
@@ -81,12 +84,4 @@
   </div>
 
-  <!--Infos-->
- 
-  <div id="imageInfoBar">
-	<div id="imageToolBar">
-      {include file='picture_nav_buttons.tpl'|@get_extent:'picture_nav_buttons'}
-    </div>
-  </div>
-	
 	{assign var='display_description_tab' value=false}
 	{if (!($smarty.config.showDescriptionInsteadOfTitle) && isset($COMMENT_IMG))}
@@ -145,5 +140,5 @@
 		{/if}
 		<div id="tabTitleBar">
-			<ul id="tabTitles" style="height:50px;">
+			<ul id="tabTitles">
 				{if $display_description_tab}
 					<li id="tabTcaption" class="tabTitle">{'Description'|@translate}</li>
Index: /extensions/stripped/template/picture_nav_buttons.tpl
===================================================================
--- /extensions/stripped/template/picture_nav_buttons.tpl	(revision 8182)
+++ /extensions/stripped/template/picture_nav_buttons.tpl	(revision 8183)
@@ -2,51 +2,50 @@
 {if $DISPLAY_NAV_BUTTONS or isset($slideshow)}
 
-  {if isset($last)}
-    <a id="icon_last" class="navButton" href="{$last.U_IMG}" title="{'Last'|@translate} : {$last.TITLE}" rel="last"><!--<img src="{$ROOT_URL}{$themeconf.icon_dir}/last.png" class="button" alt="{'Last'|@translate}">--></a>
+  {if isset($slideshow.U_STOP_REPEAT)}
+    <a id="icon_stop_repeat" class="navButton" href="{$slideshow.U_STOP_REPEAT}" title="{'Not repeat the slideshow'|@translate}">&nbsp;</a>
+  {/if}
+
+  {if isset($slideshow.U_START_REPEAT)}
+    <a id="icon_start_repeat" class="navButton" href="{$slideshow.U_START_REPEAT}" title="{'Repeat the slideshow'|@translate}">&nbsp;</a>
+  {/if}
+
+  {if isset($first)}
+    <a id="icon_first" class="navButton" href="{$first.U_IMG}" title="{'First'|@translate} : {$first.TITLE}" rel="first">&nbsp;</a>
   {else}
-    <a class="navButton"><img src="{$ROOT_URL}{$themeconf.icon_dir}/last_0.png" class="button" alt=""></a>
+    <a id="icon_first_0" class="navButton">&nbsp;</a>
+  {/if}
+
+  {if isset($previous)}
+    <a id="icon_left" class="navButton" href="{$previous.U_IMG}" title="{'Previous'|@translate} : {$previous.TITLE}" rel="prev">&nbsp;</a>
+  {else}
+    <a id="icon_left_0" class="navButton">&nbsp;</a>
+  {/if}
+
+  {if isset($U_UP) and !isset($slideshow)}
+    <a id="icon_up" class="navButton" href="{$U_UP}" title="{'Thumbnails'|@translate}" rel="up">&nbsp;</a>
+  {/if}
+
+  {if isset($U_SLIDESHOW_STOP)}
+    <a id="icon_stop" class="navButton" href="{$U_SLIDESHOW_STOP}" title="{'stop the slideshow'|@translate}">&nbsp;</a>
+  {/if}
+
+  {if isset($slideshow.U_STOP_PLAY)}
+    <a id="icon_pause" class="navButton" href="{$slideshow.U_STOP_PLAY}" title="{'Pause of slideshow'|@translate}">&nbsp;</a>
+  {/if}
+
+  {if isset($slideshow.U_START_PLAY)}
+    <a id="icon_play" class="navButton" href="{$slideshow.U_START_PLAY}" title="{'Play of slideshow'|@translate}">&nbsp;</a>
   {/if}
 
   {if isset($next)}
-    <a id="icon_right" class="navButton" href="{$next.U_IMG}" title="{'Next'|@translate} : {$next.TITLE}" rel="next"><!--<img src="{$ROOT_URL}{$themeconf.icon_dir}/right.png" class="button" alt="{'Next'|@translate}">--></a>
+    <a id="icon_right" class="navButton" href="{$next.U_IMG}" title="{'Next'|@translate} : {$next.TITLE}" rel="next">&nbsp;</a>
   {else}
-    <a class="navButton"><img src="{$ROOT_URL}{$themeconf.icon_dir}/right_0.png" class="button" alt=""></a>
+    <a id="icon_right_0" class="navButton">&nbsp;</a>
   {/if}
 
-  {if isset($slideshow.U_START_PLAY)}
-    <a id="icon_play" class="navButton" href="{$slideshow.U_START_PLAY}" title="{'Play of slideshow'|@translate}"><!-- <img src="{$ROOT_URL}{$themeconf.icon_dir}/play.png" class="button" alt="{'Play of slideshow'|@translate}"> --></a>
-  {/if}
-
-  {if isset($slideshow.U_STOP_PLAY)}
-    <a id="icon_pause" class="navButton" href="{$slideshow.U_STOP_PLAY}" title="{'Pause of slideshow'|@translate}"><!-- <img src="{$ROOT_URL}{$themeconf.icon_dir}/pause.png" class="button" alt="{'Pause of slideshow'|@translate}"> --></a>
-  {/if}
-
-  {if isset($U_SLIDESHOW_STOP)}
-    <a id="icon_stop" class="navButton" href="{$U_SLIDESHOW_STOP}" title="{'stop the slideshow'|@translate}"><!-- <img src="{$ROOT_URL}{$themeconf.icon_dir}/stop.png" class="button" alt="{'Play of slideshow'|@translate}"> --></a>
-  {/if}
-
-  {if isset($U_UP) and !isset($slideshow)}
-    <a id="icon_up" class="navButton" href="{$U_UP}" title="{'Thumbnails'|@translate}" rel="up"><!-- <img src="{$ROOT_URL}{$themeconf.icon_dir}/up.png" class="button" alt="{'Thumbnails'|@translate}"> --></a>
-  {/if}
-
-  {if isset($previous)}
-    <a id="icon_left" class="navButton" href="{$previous.U_IMG}" title="{'Previous'|@translate} : {$previous.TITLE}" rel="prev"><!--<img src="{$ROOT_URL}{$themeconf.icon_dir}/left.png" class="button" alt="{'Previous'|@translate}">--></a>
+  {if isset($last)}
+    <a id="icon_last" class="navButton" href="{$last.U_IMG}" title="{'Last'|@translate} : {$last.TITLE}" rel="last">&nbsp;</a>
   {else}
-    <a class="navButton"><img src="{$ROOT_URL}{$themeconf.icon_dir}/left_0.png" class="button" alt=""></a>
-  {/if}
-
-  {if isset($first)}
-    <a id="icon_first" class="navButton" href="{$first.U_IMG}" title="{'First'|@translate} : {$first.TITLE}" rel="first"><!--<img src="{$ROOT_URL}{$themeconf.icon_dir}/first.png" class="button" alt="{'First'|@translate}">--></a>
-  {else}
-    <a class="navButton"><img src="{$ROOT_URL}{$themeconf.icon_dir}/first_0.png" class="button" alt=""></a>
-  {/if}
-
-
-  {if isset($slideshow.U_START_REPEAT)}
-    <a id="icon_start_repeat" class="navButton" href="{$slideshow.U_START_REPEAT}" title="{'Repeat the slideshow'|@translate}"><!--<img src="{$ROOT_URL}{$themeconf.icon_dir}/start_repeat.png" class="button" alt="{'Repeat the slideshow'|@translate}">--></a>
-  {/if}
-
-  {if isset($slideshow.U_STOP_REPEAT)}
-    <a id="icon_stop_repeat" class="navButton" href="{$slideshow.U_STOP_REPEAT}" title="{'Not repeat the slideshow'|@translate}"><!--<img src="{$ROOT_URL}{$themeconf.icon_dir}/stop_repeat.png" class="button" alt="{'Not repeat the slideshow'|@translate}">--></a>
+    <a id="icon_last_0" class="navButton">&nbsp;</a>
   {/if}
 
Index: /extensions/stripped/template/slideshow.tpl
===================================================================
--- /extensions/stripped/template/slideshow.tpl	(revision 8182)
+++ /extensions/stripped/template/slideshow.tpl	(revision 8183)
@@ -10,14 +10,14 @@
 			&nbsp;
 		</div>
+	    <ul class="randomButtons">
+			<li id="imageToolBar">
+				{include file='picture_nav_buttons.tpl'|@get_extent:'picture_nav_buttons'}
+			</li>
+			<li class="imageNumber">{$PHOTO}</li>
+		</ul>
 		<div style="clear: both;"></div>
 	</div> <!-- imageHeaderBar -->
 
 	<div id="content">
-		<div id="imageInfoBar">
-			<div id="imageToolBar">
-				{include file='picture_nav_buttons.tpl'|@get_extent:'picture_nav_buttons'}
-			</div>
-		</div>
-
 		{assign var='display_description_tab' value=false}
 		{if (!($smarty.config.showDescriptionInsteadOfTitle) && isset($COMMENT_IMG))}
Index: /extensions/stripped/theme.css
===================================================================
--- /extensions/stripped/theme.css	(revision 8182)
+++ /extensions/stripped/theme.css	(revision 8183)
@@ -167,7 +167,8 @@
 
 .titrePage {
+	height:21px;
 	font-size:115.385%;
 	margin: 0.5em 0 0 0;
-	line-height: 1.5em;
+	line-height: 1.4em;
 }
 
@@ -201,5 +202,6 @@
   display: inline;
   vertical-align:top;
-  padding-left:3px;
+  padding-left:7px;
+  float:left;
 }
 
@@ -572,5 +574,5 @@
 	top: 195px;
 	left: 4px;
-	background: transparent url(icon/nb_prev_1.png) no-repeat scroll;
+	background: transparent url(icon/arrows.png) 0 0 no-repeat;
 }
 #thumb_navigation #tn_next {
@@ -578,11 +580,11 @@
 	top: 195px;
 	right: 4px;
-	background: transparent url(icon/nb_next_1.png) no-repeat scroll;
+	background: transparent url(icon/arrows.png) -20px 0 no-repeat;
 }
 #thumb_navigation a#tn_prev:hover {
-	background: transparent url(icon/nb_prev_2.png) no-repeat scroll;
+	background: transparent url(icon/arrows.png) 0 -150px no-repeat;
 }
 #thumb_navigation a#tn_next:hover {
-	background: transparent url(icon/nb_next_2.png) no-repeat scroll;
+	background: transparent url(icon/arrows.png) -20px -150px no-repeat;
 }
 
@@ -591,15 +593,4 @@
 #thePicturePage #theHeader {
 	display: none;
-}
-
-#imageToolBar {
-	float:right;
-}
-
-#imageInfoBar {
-	display:block;
-	height:25px;
-	clear:both;
-	padding: 0 2px;
 }
 
@@ -621,5 +612,6 @@
 	display: inline;
 	vertical-align:top;
-	padding-left:3px;
+	padding-left:7px;
+	float:left;
 }
 
@@ -654,5 +646,4 @@
 	display:inline;
 	font-weight:normal;
-	padding-left:2px;
 }
 
@@ -704,5 +695,5 @@
 	top: 0;
 	left: 0px;
-	width: 200px;
+	width: 300px;
 	height: 600px;
 	text-align: right;
@@ -713,5 +704,5 @@
 	top: 0;
 	right: 0px;
-	width: 200px;
+	width: 300px;
 	height: 600px;
 	text-align: left;
@@ -720,4 +711,5 @@
 #linkPrevIn  {
 	margin-right: 40px;
+	padding-right:100px;
 	height: 100%;
 	text-align: right;
@@ -727,4 +719,5 @@
 #linkNextIn 	{
 	margin-left: 40px;
+	padding-left:100px;
 	height: 100%;
 	text-align: left;
@@ -824,35 +817,42 @@
 
 #imageToolBar .navButton {
-	display:inline-block;
-	width:24px;
-	height:24px;
-	float:right;
+	display:inline;
+	width:20px;
+	height:20px;
+	float:left;
 	margin:0 2px;
-}
-
-#icon_last					{	background:url(icon/last_1.png);			}
-#icon_last:hover 			{	background:url(icon/last_2.png);			}
-#icon_right 					{	background:url(icon/right_1.png);			}
-#icon_right:hover			{	background:url(icon/right_2.png);			}
-#icon_play 					{	background:url(icon/play_1.png);			}
-#icon_play:hover 			{	background:url(icon/play_2.png);			}
-#icon_stop 					{	background:url(icon/stop_1.png);			}
-#icon_stop:hover 			{	background:url(icon/stop_2.png);			}
-#icon_pause 					{	background:url(icon/pause_1.png);			}
-#icon_pause:hover 			{	background:url(icon/pause_2.png);			}
-#icon_up 					{	background:url(icon/up_1.png);				}
-#icon_up:hover 				{	background:url(icon/up_2.png);				}
-#icon_left 					{	background:url(icon/left_1.png);			}
-#icon_left:hover 			{	background:url(icon/left_2.png);			}
-#icon_first 					{	background:url(icon/first_1.png);			}
-#icon_first:hover		 	{	background:url(icon/first_2.png);			}
-#icon_start_repeat		 	{	background:url(icon/start_repeat_1.png);	}
-#icon_start_repeat:hover	{	background:url(icon/start_repeat_2.png);	}
-#icon_stop_repeat 			{	background:url(icon/stop_repeat_1.png);		}
-#icon_stop_repeat:hover 		{	background:url(icon/stop_repeat_2.png);		}
-#icon_dec_period 			{	background:url(icon/dec_period_1.png);		}
-#icon_dec_period:hover		{	background:url(icon/dec_period_2.png);		}
-#icon_inc_period 			{	background:url(icon/inc_period_1.png);		}
-#icon_inc_period:hover 		{	background:url(icon/inc_period_2.png);		}
+	background-image: url(icon/picture.png);
+	background-repeat: no-repeat;
+	overflow:hidden;
+}
+
+#icon_first_0				{	background-position: 0 		0		}
+#icon_first 					{	background-position: 0 		-20px	}
+#icon_first:hover			{	background-position: 0 		-40px	}
+#icon_left_0				{	background-position: -20px	0		}
+#icon_left 					{	background-position: -20px 	-20px	}
+#icon_left:hover 			{	background-position: -20px 	-40px	}
+#icon_up 					{	background-position: -40px	-20px	}
+#icon_up:hover 				{	background-position: -40px	-40px	}
+#icon_stop 					{	background-position: -60px 	-20px	}
+#icon_stop:hover 			{	background-position: -60px	-40px	}
+#icon_pause 					{	background-position: -80px 	-20px	}
+#icon_pause:hover 			{	background-position: -80px 	-40px	}
+#icon_play 					{	background-position: -100px	-20px	}
+#icon_play:hover 			{	background-position: -100px	-40px	}
+#icon_right_0				{	background-position: -120px 0		}
+#icon_right 					{	background-position: -120px	-20px	}
+#icon_right:hover			{	background-position: -120px -40px	}
+#icon_last_0				{	background-position: -140px 0		}
+#icon_last					{	background-position: -140px	-20px	}
+#icon_last:hover 			{	background-position: -140px -40px	}
+#icon_stop_repeat 			{	background-position: -160px -20px	}
+#icon_stop_repeat:hover 		{	background-position: -160px -40px	}
+#icon_start_repeat		 	{	background-position: -180px -20px	}
+#icon_start_repeat:hover	{	background-position: -180px -40px	}
+#icon_inc_period 			{	background-position: -200px	-20px	}
+#icon_inc_period:hover 		{	background-position: -200px -40px	}
+#icon_dec_period 			{	background-position: -220px -20px	}
+#icon_dec_period:hover		{	background-position: -220px -40px	}
 
 /* Tabs ---------------------------------------------------------------------------------------- */