Index: /extensions/cl_conflit/conflit.inc.php
===================================================================
--- /extensions/cl_conflit/conflit.inc.php	(revision 8186)
+++ /extensions/cl_conflit/conflit.inc.php	(revision 8187)
@@ -39,5 +39,7 @@
 		$template->set_filenames(array('cl_conflit_init'=>$my_path. "template/conflit.tpl" ) );	
 		$debug = isset($conf['debug']) ? $conf['debug'] : false ; 
-		$cl_conflit_parametres =	 cl_conflit_Get_Options() ;		 	
+$cl_conflit_parametres =	 cl_conflit_Get_Options() ;
+
+		 	
 		$theme=$user['theme'];
 		
@@ -51,5 +53,5 @@
 						'theme' => $theme  ,
 						'DEBUG' => $debug   ,
-						'CONFLIT_PATH' => CONFLIT_PATH)
+						'CONFLIT_ROOT' => CONFLIT_PATH)
 						 );
 
@@ -155,11 +157,9 @@
   global $cl_conflit_parametres;
 //=============================================================================
-  $my_para=$cl_conflit_parametres;
+$cl_conflit_parametres->query =(isset($_POST['query'])) ? $_POST['query'] : ((isset($cl_conflit_parametres->query )) ? $cl_conflit_parametres->query : 'Qt' ) ;
+$cl_conflit_parametres->type=(isset($_POST['type']))? $_POST['type']: ((isset($cl_conflit_parametres->type)) ? $cl_conflit_parametres->type:  'Ty') ;
 
-$my_para->query =(isset($_POST['query'])) ? $_POST['query'] : ((isset($my_para->query )) ? $my_para->query : 'Qt' ) ;
-$my_para->type=(isset($_POST['type']))? $_POST['type']: ((isset($my_para->type)) ? $my_para->type:  'Ty') ;
  
- 
-return $my_para;
+return $cl_conflit_parametres;
 }
 	/*
Index: /extensions/cl_conflit/js/conflit.js
===================================================================
--- /extensions/cl_conflit/js/conflit.js	(revision 8186)
+++ /extensions/cl_conflit/js/conflit.js	(revision 8187)
@@ -1,3 +1,3 @@
-﻿//==== autosize  remplace $(... avec jQuery( ====
+﻿//==== cl_conflit  remplace $(... avec jQuery( ====
 /*
 *[gmaps=id:1;width:800;height:640;]
@@ -9,14 +9,9 @@
 var dom = {};
 if (typeof jQuery == 'undefined') {
-    alert(" jQuery n'est pas chargé");
+  //  alert(" jQuery n'est pas chargé");
 } else {
     // jQuery est chargé
 }
-try(
-DEBUG = DEBUG || "false";
-}catch(e)
-{
-
-}
+
 //===================================================
 var detect = navigator.userAgent.toLowerCase();
@@ -82,12 +77,4 @@
 netscape = mybrowser.netscape || false;
 
-
-//========================================
-/*function $defined(A) {
-$ = _$2; //   ;
-return A != undefined;
-}
-*/
-
 var time_out = 0;
 //===================================================
@@ -96,11 +83,22 @@
 var Fn;
 function conflit(element, nc) {
-    //--- cl_conflit    
+    //--- cl_conflit 
+if (typeof MooTools=="undefined" && typeof  Prototype=="undefined" ) {
+       ret_element = jQuery(element);
+        return ret_element;
+    }
+    //====================================================
+    if (typeof (element) == "string") {
+        if (element.match("^#|.ui", "gi")) {
+            ret_element = jQuery(element);
+            return ret_element;
+        }
+    
+    }
+
     var retour = (getStackTrace());
     Fn = retour.fn;
     retour = retour.state;
 
-    n = document;
-    v = window;
     var ret_element = "";
     if (retour.match(RegExp("jQuery", "gi"))) {
@@ -108,7 +106,14 @@
     }
     else if (retour.match(RegExp("rv_gmaps", "gi"))) {
-        ret_element = jQuery().$Prototype(element);
-    } else if (retour.match(RegExp("GMaps", "gi"))) {
-       
+    try{
+        ret_element = myjQuery().$Prototype(element);
+        }
+        catch(e)
+        {
+
+         ret_element = myjQuery().$Prototype(element);
+
+        }
+    } else if (retour.match(RegExp("GMaps", "gi"))) {      
 
         ret_element = jQuery(element);
@@ -120,5 +125,5 @@
 
         }
-        nbpa += 1;
+       
 
     } else if (retour.match(RegExp("luciano", "gi"))) {
@@ -151,4 +156,10 @@
 
 
+    } else if (element == window) {
+
+        ret_element = jQuery(element);
+        return ret_element;
+
+
     }
     tp0 = typeof (element);
@@ -162,10 +173,15 @@
     return ret_element;
 } // conflit(element,nc)
-
+//======================================================
+/*
+*
+*
+*/
+//======================================================
 jQuery(document).ready(
-    function (jQuery) {
-        jQuery(window).load(function () {
-            //============================================================
-            jQuery("#icon_gmaps").bind('click', function () {
+       function (jQuery) {
+            jQuery(window).load(function () {
+             //============================================================
+             jQuery("#icon_gmaps").bind('click', function () {
 
                 jQuery('html,body').stop().scrollTop(0);
@@ -182,34 +198,26 @@
             if (typeof(Parent)=="undefined")
                 Parent = "#theImage";
-
-            info_image = jQuery(Parent).infos();
-            p0 = jQuery(Parent);
-            if (p0.length > 0) {    
-
-                //======================================================
-                if (theme.match("gally", "gi"))
+                info_image = jQuery(Parent).infos();
+                p0 = jQuery(Parent);
+                if (p0.length > 0) {   
+                    //======================================================
+                    if (theme.match("gally", "gi"))
                     if (jQuery.isFunction(inittoolbar)) {
                         if (typeof (currentTab) == "undefined") inittoolbar();
-                        else initializeImageMode("resize");
-                    
-
-                    if (info_image.position != "static") {
-                    //==== compatibilité Gally/LLGBO ===
-                    //--- passage relative ==> static ===/
-                    jQuery(Parent).css({ position: "static" } );
-                    jQuery("#imageToolBar").css({ position: "relative", top: "0px" });
-                    };
+                            else initializeImageMode("resize");
+                        if (info_image.position != "static") {
+                            //==== compatibilité Gally/LLGBO ===
+                            //--- passage relative ==> static ===/
+                            jQuery(Parent).css({ position: "static" } );
+                            jQuery("#imageToolBar").css({ position: "relative", top: "0px" });
+                        };
+                     }
                 }
-            }
             //   jQuery(window).resize();
 
         });
-        //=============================================================        
-
-        //  $ = _$2; ;
-
-
-    })
-;
+    //=============================================================        
+    //  $ = _$2; ;
+});
 
 
@@ -219,11 +227,11 @@
 jQuery.fn.extend({
 
-    //---------------- luciano -------------------------------
-    $Luciano: function (el, nc) {
-        return document.id(el, nc, this.document);
-    },
-    //=============== PaMOOramics ===========================
-
-    $Pamoorama: function (B) {
+//---------------- luciano -------------------------------
+$Luciano: function (el, nc) {
+return document.id(el, nc, this.document);
+},
+//=============== PaMOOramics ===========================
+
+$Pamoorama: function (B) {
 
 
@@ -499,101 +507,8 @@
 }
 //====================================
-
-
-(function ($) {
-    $(document).ready(function () {
-        jQuery(window).load(function () {
-            a = jQuery(':Description');
-        });
-    });
-    //==============================================
-    librairies=[];
-    jQuery.extend(jQuery.expr[':'], {
-        // Nom du sélecteur personnalisé
-        Description: function (a) {
-            n = jQuery(a).infos();
-            if (n.id != "") {
-                //alert("<" + n.nodeName  +" id= " + n.id    + " >") ;
-            }
-            if (n.nodeName == "SCRIPT")
-                if (a.src == "") {
-                    Match = jQuery(a).html();
-                    /*
-                    if ( Match.match(new RegExp("jQuery", "gi") )) {
-                    alert(n.id + n.nodeName + a.outerHTML ) ;
-                    }
-                    if ( Match.match(new RegExp("ajax", "gi") )) {
-                    alert(n.id + n.nodeName + a.outerHTML ) ;
-                    }
-                    */
-                    if (Match.match(new RegExp("\\$", "gi"))) {
-
-                        if (Match.match(new RegExp("ajax", "gi"))) {
-                            //     alert(n.id + n.nodeName + a.outerHTML);
-
-                        }
-                    }
-                    if (Match.match(new RegExp("pamoorama", "ig"))) {
-
-                        //     alert(n.id + n.nodeName + a.innerHTML);
-
-                    }
-                } else {
-
-                    if (a.src.match(RegExp("mootools|pamooramic|luciano", "gi"))) {
-                        jQuery.noop;
-                        librairies.push(a.src);
-                    }
-
-                }
-
-            return a;
-
-        }
-    }); //fin extend
-    /*
-    *
-    */
-
-
-
-
-
-
-})(jQuery);
-
- 
- 
-$_0= $;
-function $(element, nc0) {
-    a = conflit(element, nc0);
-    return a;
-}
-if (typeof ($.ajax) != "function") {
-    $.ajax = function (origSettings) {
-        jQuery.ajax(origSettings);
-    }
-
-
-    $.parseJSON = function (msg) {
-        return jQuery.parseJSON(msg);
-    }
-
-
-}
-//============================================
-/* url (String): URl de la page à charger 
-* params (Map): (optionnel) paires de clé/valeur qui seront envoyées au serveur. 
-* callback (Fonction): (optionnel) fonction qui sera éxécutée quand les données sera chargées. 
-* type (String): (optionnel) format des données renvoyées à la fonction de callback 
-*/
-if (typeof ($.get) != "function") {
-    $.get = function ( a, b, c, d) {
-        return jQuery.get(a, b, c,d );
-    }
-
-
-}
- 
+test_conflit = false;
+ librairies =new Array;
+
+
 
 $_ = $;
@@ -604,8 +519,68 @@
 
     }
-    
-    $_2 = $;
+        $_2 = $;
     return
-
+    }
+
+(function ($) {
+    $(document).ready(function () {    
+          //=================================================
+          if (typeof  jQuery.fn.infos !="function")
+          {
+               jQuery=myjQuery;
+               $=my$ ;
+               }
+        });
+
+})(jQuery);
+
+if(test_conflit!=true)
+{
+//-------------------------------------------------------------- 
+$_0 = $;
+ 
+        function $(element, nc0) {
+            if (typeof  jQuery.fn.infos !="function")  
+             if (typeof  myjQuery !="undefined") 
+                 jQuery=myjQuery;    
+             a = conflit(element, nc0);
+            return a;
+
+        }
+       
+        if (typeof ($.ajax) != "function") {
+            $.ajax = function (origSettings) {
+                jQuery.ajax(origSettings);
+            }
+
+
+            $.parseJSON = function (msg) {
+                return jQuery.parseJSON(msg);
+            }
+
+
+        }
+        //============================================
+        /* url (String): URl de la page à charger 
+        * params (Map): (optionnel) paires de clé/valeur qui seront envoyées au serveur. 
+        * callback (Fonction): (optionnel) fonction qui sera éxécutée quand les données sera chargées. 
+        * type (String): (optionnel) format des données renvoyées à la fonction de callback 
+        */
+        if (typeof ($.get) != "function") {
+            $.get = function ( a, b, c, d) {
+                return jQuery.get(a, b, c,d );
+            }
+        }
+        if (typeof ($.post) != "function") {
+
+            $.post = function (a, b, c,d) {
+                return jQuery.post(a, b, c, d);
+            }
+            ;
+
+        }
+        
+
+ 
 }
-
+//-------------------------------------------------------------- 
Index: /extensions/cl_conflit/js/jquery.dimensions.js
===================================================================
--- /extensions/cl_conflit/js/jquery.dimensions.js	(revision 8186)
+++ /extensions/cl_conflit/js/jquery.dimensions.js	(revision 8187)
@@ -32,5 +32,5 @@
                         borr = name == 'Height' ? 'Bottom' : 'Right';
                     options = options || false;
-                    options = jQuery.extend({ margin: options } );
+                    options = jQuery.extend({ margin: options });
 
                     var val = this.is(':visible') ? this[0]['offset' + name] :
@@ -299,5 +299,6 @@
     };
 
-
+    myjQuery = jQuery;
+    my$ = $;
 
 })(jQuery);
Index: /extensions/cl_conflit/template/conflit.tpl
===================================================================
--- /extensions/cl_conflit/template/conflit.tpl	(revision 8186)
+++ /extensions/cl_conflit/template/conflit.tpl	(revision 8187)
@@ -1,9 +1,8 @@
 {html_head} 
-<!--- cl_conflit/template/confilt.tpl (html_head) ---> 
-<!--- Ajout scripts {$CONFLIT_PATH}---> 
-{known_script id="jquery" src=$ROOT_URL|@cat:"themes/default/js/jquery.packed.js" } <!--- jquery.packed.js ---> 
-{known_script id="conflit_script" src=$CONFLIT_PATH|@cat:"js/conflit.js"}<!--- conflit.js ---> 
-{known_script id="dimensions" src=$CONFLIT_PATH|@cat:"js/jquery.dimensions.js"}<!---jquery.dimensions.js ---> 
-<!--- fin Ajout scripts  ---> 
+<!--- Autosize/template/confilt.tpl (before) ---> 
+{known_script id="jquery" src=$ROOT_URL|@cat:"themes/default/js/jquery.packed.js" } 
+{known_script id="conflit_script" src=$CONFLIT_ROOT|@cat:"js/conflit.js"}
+    {known_script id="dimensions" src=$CONFLIT_ROOT|@cat:"js/jquery.dimensions.js"}
+<!---FIN Autosize/template/confilt.tpl (before) --->	{/html_head}   
 <script type="text/javascript">
     var DEBUG = '{$DEBUG}';
@@ -22,4 +21,2 @@
 {/if}
 </script>
-<!---FIN cl_conflit/template/confilt.tpl (html_head) --->
-{/html_head}   