Index: extensions/spread_menus/css/spread_menus_with_GBO_hk-3.css
===================================================================
--- extensions/spread_menus/css/spread_menus_with_GBO_hk-3.css	(revision 7300)
+++ extensions/spread_menus/css/spread_menus_with_GBO_hk-3.css	(revision 8192)
@@ -17,5 +17,5 @@
 #thePicturePage #imageToolBar, 
 #thePicturePage .infos, 
-body  div.content { 
+body  div#content { 
   margin-left: 0 !important; /* 20em usually */
 }
Index: extensions/spread_menus/css/spread_menus_with_GBO_hk-3_clear.css
===================================================================
--- extensions/spread_menus/css/spread_menus_with_GBO_hk-3_clear.css	(revision 7300)
+++ extensions/spread_menus/css/spread_menus_with_GBO_hk-3_clear.css	(revision 8192)
@@ -17,5 +17,5 @@
 #thePicturePage #imageToolBar, 
 #thePicturePage .infos, 
-body  div.content { 
+body  div#content { 
   margin-left: 0 !important; /* 20em usually */
 }
Index: extensions/spread_menus/css/spread_menus_with_Pure_clear_blue.css
===================================================================
--- extensions/spread_menus/css/spread_menus_with_Pure_clear_blue.css	(revision 7300)
+++ extensions/spread_menus/css/spread_menus_with_Pure_clear_blue.css	(revision 8192)
@@ -17,5 +17,5 @@
 #thePicturePage #imageToolBar, 
 #thePicturePage .infos, 
-body  div.content { 
+body  div#content { 
   margin-left: 20em !important; /* 20em usually */
 }
Index: extensions/spread_menus/css/spread_menus_with_Pure_green_nature.css
===================================================================
--- extensions/spread_menus/css/spread_menus_with_Pure_green_nature.css	(revision 7300)
+++ extensions/spread_menus/css/spread_menus_with_Pure_green_nature.css	(revision 8192)
@@ -17,5 +17,5 @@
 #thePicturePage #imageToolBar, 
 #thePicturePage .infos, 
-body  div.content { 
+body  div#content { 
   margin-left: 20em !important; /* 20em usually */
 }
Index: extensions/spread_menus/css/spread_menus_with_Pure_tr_clear_blue.css
===================================================================
--- extensions/spread_menus/css/spread_menus_with_Pure_tr_clear_blue.css	(revision 7300)
+++ extensions/spread_menus/css/spread_menus_with_Pure_tr_clear_blue.css	(revision 8192)
@@ -17,5 +17,5 @@
 #thePicturePage #imageToolBar, 
 #thePicturePage .infos, 
-body  div.content { 
+body  div#content { 
   margin-left: 20em !important; /* 20em usually */
 }
Index: extensions/spread_menus/css/spread_menus_with_Sylvia.css
===================================================================
--- extensions/spread_menus/css/spread_menus_with_Sylvia.css	(revision 7300)
+++ extensions/spread_menus/css/spread_menus_with_Sylvia.css	(revision 8192)
@@ -17,5 +17,5 @@
 #thePicturePage #imageToolBar, 
 #thePicturePage .infos, 
-body  div.content { 
+body  div#content { 
   margin-left: 290px !important; /* 20em usually */
 }
Index: extensions/spread_menus/css/spread_menus_with_VerticalWhite.css
===================================================================
--- extensions/spread_menus/css/spread_menus_with_VerticalWhite.css	(revision 7300)
+++ extensions/spread_menus/css/spread_menus_with_VerticalWhite.css	(revision 8192)
@@ -17,5 +17,5 @@
 #thePicturePage #imageToolBar, 
 #thePicturePage .infos, 
-body  div.content { 
+body  div#content { 
   margin-left: 20em !important; /* 20em usually */
 }
Index: extensions/spread_menus/css/spread_menus_with_aqua.css
===================================================================
--- extensions/spread_menus/css/spread_menus_with_aqua.css	(revision 7300)
+++ extensions/spread_menus/css/spread_menus_with_aqua.css	(revision 8192)
@@ -17,5 +17,5 @@
 #thePicturePage #imageToolBar, 
 #thePicturePage .infos, 
-body  div.content { 
+body  div#content { 
   margin-left: 20em !important; /* 20em usually */
 }
Index: extensions/spread_menus/css/spread_menus_with_blancmontxl.css
===================================================================
--- extensions/spread_menus/css/spread_menus_with_blancmontxl.css	(revision 7300)
+++ extensions/spread_menus/css/spread_menus_with_blancmontxl.css	(revision 8192)
@@ -17,5 +17,5 @@
 #thePicturePage #imageToolBar, 
 #thePicturePage .infos, 
-body  div.content { 
+body  div#content { 
   margin-left: auto !important; /* 20em usually */
 }
Index: extensions/spread_menus/css/spread_menus_with_clear.css
===================================================================
--- extensions/spread_menus/css/spread_menus_with_clear.css	(revision 7300)
+++ extensions/spread_menus/css/spread_menus_with_clear.css	(revision 8192)
@@ -17,5 +17,5 @@
 #thePicturePage #imageToolBar, 
 #thePicturePage .infos, 
-body  div.content { 
+body  div#content { 
   margin-left: 20em !important; /* 20em usually */
 }
Index: extensions/spread_menus/css/spread_menus_with_dark.css
===================================================================
--- extensions/spread_menus/css/spread_menus_with_dark.css	(revision 7300)
+++ extensions/spread_menus/css/spread_menus_with_dark.css	(revision 8192)
@@ -17,5 +17,5 @@
 #thePicturePage #imageToolBar, 
 #thePicturePage .infos, 
-body  div.content { 
+body  div#content { 
   margin-left: 20em !important; /* 20em usually */
 }
Index: extensions/spread_menus/css/spread_menus_with_grum-dark-II.css
===================================================================
--- extensions/spread_menus/css/spread_menus_with_grum-dark-II.css	(revision 7300)
+++ extensions/spread_menus/css/spread_menus_with_grum-dark-II.css	(revision 8192)
@@ -17,5 +17,5 @@
 #thePicturePage #imageToolBar, 
 #thePicturePage .infos, 
-body  div.content { 
+body  div#content { 
   margin-left: 20em !important; /* 20em usually */
 }
Index: extensions/spread_menus/css/spread_menus_with_kardon.css
===================================================================
--- extensions/spread_menus/css/spread_menus_with_kardon.css	(revision 7300)
+++ extensions/spread_menus/css/spread_menus_with_kardon.css	(revision 8192)
@@ -17,5 +17,5 @@
 #thePicturePage #imageToolBar, 
 #thePicturePage .infos, 
-body  div.content { 
+body  div#content { 
   margin-left: 260px !important; /* 20em usually */
 }
Index: extensions/spread_menus/css/spread_menus_with_p0w0.css
===================================================================
--- extensions/spread_menus/css/spread_menus_with_p0w0.css	(revision 7300)
+++ extensions/spread_menus/css/spread_menus_with_p0w0.css	(revision 8192)
@@ -17,5 +17,5 @@
 #thePicturePage #imageToolBar, 
 #thePicturePage .infos, 
-body  div.content { 
+body  div#content { 
   margin-left: 20em !important; /* 20em usually */
 }
Index: extensions/spread_menus/css/spread_menus_with_sobre.css
===================================================================
--- extensions/spread_menus/css/spread_menus_with_sobre.css	(revision 7300)
+++ extensions/spread_menus/css/spread_menus_with_sobre.css	(revision 8192)
@@ -17,5 +17,5 @@
 #thePicturePage #imageToolBar, 
 #thePicturePage .infos, 
-body  div.content { 
+body  div#content { 
   margin-left: 0 !important; /* 20em usually */
 }
Index: extensions/spread_menus/css/spread_menus_with_wipi.css
===================================================================
--- extensions/spread_menus/css/spread_menus_with_wipi.css	(revision 7300)
+++ extensions/spread_menus/css/spread_menus_with_wipi.css	(revision 8192)
@@ -17,5 +17,5 @@
 #thePicturePage #imageToolBar, 
 #thePicturePage .infos, 
-body  div.content { 
+body  div#content { 
   margin-left: 20em !important; /* 20em usually */
 }
Index: extensions/spread_menus/spread_menus_on_public_pages.php
===================================================================
--- extensions/spread_menus/spread_menus_on_public_pages.php	(revision 7300)
+++ extensions/spread_menus/spread_menus_on_public_pages.php	(revision 8192)
@@ -38,10 +38,4 @@
 	  $template->assign( array( 'SPREADM' => $conf['Spread menus'] ) );
 	  $template->parse('spread_menus_on_public_pages');
-    $template->assign(
-        'U_ADMIN', get_root_url().'admin.php?page=picture_modify'
-      .'&amp;cat_id='.(isset($page['category']) ? $page['category']['id'] : '')
-      .( isset($page['image_id']) ? '&amp;image_id='.$page['image_id'] : '')
-      );
-
 	}
 }