Index: /extensions/ContactForm/CHANGELOG
===================================================================
--- /extensions/ContactForm/CHANGELOG	(revision 8195)
+++ /extensions/ContactForm/CHANGELOG	(revision 8196)
@@ -1,2 +1,7 @@
+2010-12-19 1.1.6
+                  [r7641] No display the ContactForm page when the principal bloc is hidden bug:2008
+                  [r8151] [r8153] [r8196] jQuery not charged (old way since 2.1) bug:2065
+                  [r8152] Minors changes
+
 2010-10-17 1.1.5
                   [r7204] Errors in the History tabs
Index: /extensions/ContactForm/admin/themes/cf_config.tab.tpl
===================================================================
--- /extensions/ContactForm/admin/themes/cf_config.tab.tpl	(revision 8195)
+++ /extensions/ContactForm/admin/themes/cf_config.tab.tpl	(revision 8196)
@@ -1,5 +1,2 @@
-{* $Id: cf_config.tab.tpl,v 1.5 2009/08/19 14:51:59 Criss Exp $ *}
-{known_script id="jquery.ui" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.core.packed.js"}
-{known_script id="jquery.ui.tabs" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.tabs.packed.js"}
 <div class="titrePage">
     <h2>{$CF.TITLE} [{$CF.VERSION}]<br>{'cf_config'|@translate}</h2>
Index: /extensions/ContactForm/admin/themes/cf_emails.tab.tpl
===================================================================
--- /extensions/ContactForm/admin/themes/cf_emails.tab.tpl	(revision 8195)
+++ /extensions/ContactForm/admin/themes/cf_emails.tab.tpl	(revision 8196)
@@ -1,4 +1,2 @@
-{known_script id="jquery.ui" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.core.packed.js"}
-{known_script id="jquery.ui.tabs" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.tabs.packed.js"}
 <div class="titrePage">
     <h2>{$CF.TITLE} [{$CF.VERSION}]<br>{'cf_emails'|@translate}</h2>
Index: /extensions/ContactForm/admin/themes/cf_language.tab.tpl
===================================================================
--- /extensions/ContactForm/admin/themes/cf_language.tab.tpl	(revision 8195)
+++ /extensions/ContactForm/admin/themes/cf_language.tab.tpl	(revision 8196)
@@ -1,5 +1,2 @@
-{* $Id: cf_language.tab.tpl,v 1.4 2009/08/19 14:51:59 Criss Exp $ *}
-{known_script id="jquery.ui" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.core.packed.js"}
-{known_script id="jquery.ui.tabs" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.tabs.packed.js"}
 <script type="text/javascript">
 function set_active(key) {ldelim}
Index: /extensions/ContactForm/include/cf_common.inc.php
===================================================================
--- /extensions/ContactForm/include/cf_common.inc.php	(revision 8195)
+++ /extensions/ContactForm/include/cf_common.inc.php	(revision 8196)
@@ -7,5 +7,5 @@
 
 // Version
-define('CF_VERSION',            '1.1.5');
+define('CF_VERSION',            '1.1.6');
 define('CF_TITLE',              'cf_plugin_name');
 
Index: /extensions/ContactForm/main.inc.php
===================================================================
--- /extensions/ContactForm/main.inc.php	(revision 8195)
+++ /extensions/ContactForm/main.inc.php	(revision 8196)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: Contact Form
-Version: 1.1.5
+Version: 1.1.6
 Description: Add a "Contact" item in the Menu block to offer a contact form to users
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=304
Index: /extensions/ContactForm/themes/cf_button.tpl
===================================================================
--- /extensions/ContactForm/themes/cf_button.tpl	(revision 8195)
+++ /extensions/ContactForm/themes/cf_button.tpl	(revision 8196)
@@ -1,3 +1,2 @@
-{known_script id="jquery.ui" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.core.packed.js"}
 <div class="cf-button">
 <input type="button" value="{'cf_hide'|@translate}" onclick="hide('cf_messages');">
Index: /extensions/ContactForm/themes/cf_form.tpl
===================================================================
--- /extensions/ContactForm/themes/cf_form.tpl	(revision 8195)
+++ /extensions/ContactForm/themes/cf_form.tpl	(revision 8196)
@@ -1,5 +1,2 @@
-{known_script id="jquery" src=$ROOT_URL|@cat:"themes/default/js/jquery.packed.js"}
-{known_script id="jquery.ui" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.core.packed.js"}
-{known_script id="jquery.ui.resizable" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.resizable.packed.js"}
 {literal}
 <script type="text/javascript">
Index: /extensions/ContactForm/themes/simple-black/cf_form.tpl
===================================================================
--- /extensions/ContactForm/themes/simple-black/cf_form.tpl	(revision 8195)
+++ /extensions/ContactForm/themes/simple-black/cf_form.tpl	(revision 8196)
@@ -1,5 +1,2 @@
-<!-- {known_script id="jquery" src=$ROOT_URL|@cat:"themes/default/js/jquery.packed.js"} -->
-{known_script id="jquery.ui" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.core.packed.js"}
-{known_script id="jquery.ui.resizable" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.resizable.packed.js"}
 {literal}
 <script type="text/javascript">
Index: /extensions/ContactForm/themes/simple-sunset/cf_form.tpl
===================================================================
--- /extensions/ContactForm/themes/simple-sunset/cf_form.tpl	(revision 8195)
+++ /extensions/ContactForm/themes/simple-sunset/cf_form.tpl	(revision 8196)
@@ -1,5 +1,2 @@
-<!-- {known_script id="jquery" src=$ROOT_URL|@cat:"themes/default/js/jquery.packed.js"} -->
-{known_script id="jquery.ui" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.core.packed.js"}
-{known_script id="jquery.ui.resizable" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.resizable.packed.js"}
 {literal}
 <script type="text/javascript">
Index: /extensions/ContactForm/themes/simple-white/cf_form.tpl
===================================================================
--- /extensions/ContactForm/themes/simple-white/cf_form.tpl	(revision 8195)
+++ /extensions/ContactForm/themes/simple-white/cf_form.tpl	(revision 8196)
@@ -1,5 +1,2 @@
-<!-- {known_script id="jquery" src=$ROOT_URL|@cat:"themes/default/js/jquery.packed.js"} -->
-{known_script id="jquery.ui" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.core.packed.js"}
-{known_script id="jquery.ui.resizable" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.resizable.packed.js"}
 {literal}
 <script type="text/javascript">
Index: /extensions/ContactForm/themes/simple/cf_form.tpl
===================================================================
--- /extensions/ContactForm/themes/simple/cf_form.tpl	(revision 8195)
+++ /extensions/ContactForm/themes/simple/cf_form.tpl	(revision 8196)
@@ -1,5 +1,2 @@
-<!-- {known_script id="jquery" src=$ROOT_URL|@cat:"themes/default/js/jquery.packed.js"} -->
-{known_script id="jquery.ui" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.core.packed.js"}
-{known_script id="jquery.ui.resizable" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.resizable.packed.js"}
 {literal}
 <script type="text/javascript">