Index: /extensions/meta/language/de_DE/description.txt
===================================================================
--- /extensions/meta/language/de_DE/description.txt	(revision 8199)
+++ /extensions/meta/language/de_DE/description.txt	(revision 8199)
@@ -0,0 +1,1 @@
+Erlaubt Ihnen Metadaten hinzuzufügen.
Index: /extensions/meta/language/de_DE/index.php
===================================================================
--- /extensions/meta/language/de_DE/index.php	(revision 8199)
+++ /extensions/meta/language/de_DE/index.php	(revision 8199)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/meta/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/meta/language/de_DE/plugin.lang.php	(revision 8199)
+++ /extensions/meta/language/de_DE/plugin.lang.php	(revision 8199)
@@ -0,0 +1,60 @@
+<?php
+
+//onglet gestion
+$lang['meta_onglet_gestion'] = 'Metadaten';
+$lang['meta_desh3'] = 'Metadaten auf allen Seiten hinzufügen';
+$lang['meta_name'] = 'Name der Metadaten';
+$lang['meta_select'] = 'Die zu bearbeitende Metadaten auswählen';
+$lang['meta_choix'] = 'Die Metadaten bearbeiten';
+$lang['meta_list'] = 'Metadaten:';
+$lang['meta_select2'] = 'Metadaten auswählen';
+$lang['meta_description'] = 'Beschreibung';
+$lang['meta_diff_val'] = 'Möglicher Wert';
+$lang['meta_comp'] = 'Die zu ergänzenden Metadaten';
+$lang['meta_insmeta'] = 'Die Metadaten hinzufügen';
+
+//onglet description categorie
+$lang['meta_onglet_categorie'] = 'Metadaten der Kategorie(n)';
+$lang['meta_cath3'] = 'Die Metadaten "Stichwort" und "Beschreibung zu den Kategorien hinzufügen';
+$lang['meta_select3'] = 'Kategorie auswählen';
+$lang['meta_selectcat'] = 'Name für die Kategorie auswählen';
+$lang['meta_listcat'] = 'Kategorien auflisten:';
+$lang['meta_choixcat'] = 'Die Metadaten der Kategorie(n) bearbeiten';
+$lang['meta_compcat'] = 'Stichwörter der abzuschließenden Kategorie';
+$lang['meta_compcatdes'] = 'Die zu ersetzenden Kategorie Beschreibung';
+$lang['meta_compcatdeshelp'] = 'Wird alle Beschreibungen ersetzen';
+$lang['meta_catdesact'] = 'Erinnerung der Beschreibung der Kategorie';
+$lang['meta_inscat'] = 'Metadaten hinzufügen';
+
+//onglet image
+$lang['meta_onglet_image'] = 'Metadaten der Bilder';
+$lang['meta_img'] = 'Die Metadaten "Stichwort" und "Beschreibung" zu den Bildern hinzufügen';
+$lang['meta_selectimg'] = 'Name des Bildes auswählen';
+$lang['meta_listimg'] = 'Bilder auflisten';
+$lang['meta_choiximg'] = 'Die Metadaten des Bildes bearbeiten';
+$lang['meta_selecti3'] = 'Bild auswählen';
+$lang['meta_compimg'] = 'Stichwort des abzuschließenden Bildes';
+$lang['meta_compimgdes'] = 'Die Beschreibung des zu ersetzendes Bildes';
+$lang['meta_catdesimg'] = 'Erinnerung der Beschreibung des Bildes';
+
+//onglet description
+$lang['meta_onglet_description'] = 'Beschreibung der Metadaten';
+$lang['meta_author'] = 'Beschreibung Metadatei Autor';
+$lang['meta_author_help'] = 'Information über den Autor <br>
+Information über den Autor der Seite ';
+$lang['meta_keywords'] = 'Beschreibung der Metadatei Stichwort';
+$lang['meta_keywords_help'] = '"Stichwort, Stichwort, etc."<br>
+Stichwörter, die die Internetseite beschreiben. (Durch ein Komma getrennt)';
+$lang['meta_Description'] = 'Beschreibung der Metadatei Beschreibung';
+$lang['meta_Description_help'] = 'Beschreibung Ihrer Homepage<br>
+Ermöglicht eine Information auf der Seite zu veröffentlichen, auf der die Resultate der Suche angezeigt werden.';
+$lang['meta_robots'] = 'Beschreibung Metadatei Robot';
+$lang['meta_robots_help'] = '
+all : Erlaubt dem Roboter auf die ganze Seite hinzuweisen (Standard)<br>
+follow : Erlaubt dem Roboter die Links der Seite zu folgen<br>
+index : Erlaubt dem Roboter die Seite zu indizieren<br>
+nofollow : Verweigert dem Roboter den Links zu folgen<br>
+noindex : Verweigert dem Roboter die Seite zu indizieren<br>
+none : Verhindert dem Roboter die Seite weiter zu indizieren<br>
+';
+?>