Index: /extensions/rv_gmaps/trunk/template/data_loader.js
===================================================================
--- /extensions/rv_gmaps/trunk/template/data_loader.js	(revision 8219)
+++ /extensions/rv_gmaps/trunk/template/data_loader.js	(revision 8220)
@@ -120,8 +120,4 @@
 	}
 	var digits = Math.max( getLatLonDigits(latRange,4,2), getLatLonDigits(lonRange,4,2) );
-	/*var box = new google.maps.LatLngBounds(
-			new google.maps.LatLng( Math.roundN(bounds.getSouthWest().lat()-sd,digits), Math.roundN( bounds.getSouthWest().lng()-wd,digits ) ),
-			new google.maps.LatLng( Math.roundN(bounds.getNorthEast().lat()+nd,digits), Math.roundN( bounds.getNorthEast().lng()+ed,digits) )
-		);*/
 	var box = new google.maps.LatLngBounds( bounds.getSouthWest(), bounds.getNorthEast() );
 	box.extend( new google.maps.LatLng( Math.roundN(bounds.getSouthWest().lat()-sd,digits), Math.roundN( bounds.getSouthWest().lng()-wd,digits ) ) );
@@ -146,5 +142,9 @@
 	try {
 		google.maps.Event.trigger( this, "dataloading" );
-		GDownloadUrl(url, pwgBind(this, this._onDataReceived) );
+		jQuery.ajax( {
+			url: url.replace('.php','x.php'),
+			success: pwgBind(this, this._onAjaxSuccess),
+			error: pwgBind(this, this._onAjaxError),
+			});
 	}
 	catch (e) {
@@ -155,37 +155,39 @@
 },
 
-_onDataReceived: function(data, responseCode)
+_onAjaxSuccess: function(data, textStatus, xhr)
 {
 	var resp;
 	try
 	{
-		if (responseCode!=200)
-		{
-			this._previousLoadDataReq.box=null;
-			google.maps.Event.trigger( this, "dataloadfailed", responseCode, null );
-		}
-		else
-		try
-		{
-			eval('resp = ' + data);
-			if (resp.nb_items == undefined)
-				throw new Error( "DATA DECODING ERROR" );
-
-			this._previousLoadDataReq.resultBounds = resp.bounds;
-			if (document.is_debug && resp.debug) google.maps.Log.write( resp.debug );
-			google.maps.Event.trigger( this, "dataloaded", resp );
-		}
-		catch (e)	{
-			this._previousLoadDataReq.box=null;
-			google.maps.Event.trigger( this, "dataloadfailed", responseCode, e );
-			var s = e.message;
-			s += '\n' + data.substr(0,1000);
-			alert( s );
-		}
+		eval('resp = ' + data);
+		if (resp.nb_items == undefined)
+			throw new Error( "DATA DECODING ERROR" );
+		this._previousLoadDataReq.resultBounds = resp.bounds;
+		if (document.is_debug && resp.debug) google.maps.Log.write( resp.debug );
+		google.maps.Event.trigger( this, "dataloaded", resp );
+	}
+	catch (e)	{
+		this._previousLoadDataReq.box=null;
+		google.maps.Event.trigger( this, "dataloadfailed", responseCode, e );
+		var s = e.message;
+		s += '\n' + data.substr(0,1000);
+		alert( s );
 	}
 	finally {
 		this._dataLoading = false;
 	}
-}
+},
+
+_onAjaxError: function(xhr, textStatus, exc)
+{
+	try {
+		google.maps.Event.trigger( this, "dataloadfailed", textStatus + xhr.status, exc );
+	}
+	catch (e) {
+	}
+	finally {
+		this._dataLoading = false;
+	}
+},
 
 }
Index: /extensions/rv_gmaps/trunk/template/map.tpl
===================================================================
--- /extensions/rv_gmaps/trunk/template/map.tpl	(revision 8219)
+++ /extensions/rv_gmaps/trunk/template/map.tpl	(revision 8220)
@@ -21,5 +21,5 @@
 <script src="http://maps.google.com/maps?file=api&amp;v=2&amp;key={$GMAPS_API_KEY}&amp;hl={$lang_info.code}" type="text/javascript"></script>
 
-<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.4.4/jquery.js" type="text/javascript"></script>
+<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.4.4/jquery.min.js" type="text/javascript"></script>
 <script type="text/javascript">jQuery.noConflict();</script>
 <script src="{$PLUGIN_ROOT_URL}/template/nyroModal/jquery.nyroModal-1.6.2.js" type="text/javascript"></script>
Index: /extensions/rv_gmaps/trunk/template/picture_map_content.tpl
===================================================================
--- /extensions/rv_gmaps/trunk/template/picture_map_content.tpl	(revision 8219)
+++ /extensions/rv_gmaps/trunk/template/picture_map_content.tpl	(revision 8220)
@@ -1,5 +1,5 @@
 {html_head}
 <script src="http://maps.google.com/maps/api/js?sensor=false&amp;hl={$lang_info.code}" type="text/javascript"></script>
-<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.4.4/jquery.js" type="text/javascript"></script>
+<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.4.4/jquery.min.js" type="text/javascript"></script>
 <script src="{$PLUGIN_ROOT_URL}/template/nyroModal/jquery.nyroModal-1.6.2.js" type="text/javascript"></script>
 <link href="{$PLUGIN_ROOT_URL}/template/nyroModal/nyroModal.css" rel="stylesheet" type="text/css">