Index: /extensions/PHP_Optimisateur/config.xml
===================================================================
--- /extensions/PHP_Optimisateur/config.xml	(revision 8225)
+++ /extensions/PHP_Optimisateur/config.xml	(revision 8226)
@@ -3,23 +3,23 @@
 	<DIRsource>./in/</DIRsource>
 	<DIRsortie>./out/</DIRsortie>
-	<silentORNOT>false</silentORNOT>
-	<DIRhighORNOT>true</DIRhighORNOT> 		
-	<DIMhdORNOT>true</DIMhdORNOT> 		
-	<renameORNOT>true</renameORNOT> 		
-	<indexORNOT>true</indexORNOT> 		
-	<prefixe_mini>TN-</prefixe_mini> 
-	<DIMhd>2560</DIMhd> 				
-	<DIMnormal>800</DIMnormal> 			
-	<DIMthumbnail>120</DIMthumbnail> 	
+	<silentORNOT>block</silentORNOT>
+	<DIRhighORNOT>true</DIRhighORNOT>
+	<DIMhdORNOT>true</DIMhdORNOT>
+	<renameORNOT>true</renameORNOT>
+	<indexORNOT>true</indexORNOT>
+	<prefixe_mini>TN-</prefixe_mini>
+	<DIMhd>2560</DIMhd>
+	<DIMnormal>800</DIMnormal>
+	<DIMthumbnail>120</DIMthumbnail>
 	<Qhd>100</Qhd>
-	<Qnormal>80</Qnormal> 				
-	<Qthumbnail>80</Qthumbnail> 			
-	<DPI>72</DPI>	
-	<copyright>© 2010</copyright>		
-	<copyONhd>false</copyONhd> 			
-	<copyONnormal>false</copyONnormal> 		
-	<copyPOS>bottom-right</copyPOS> 	
-	<copySIZE>0.05</copySIZE> 			
-	<copyCOLOR>000 000 000</copyCOLOR> 		
+	<Qnormal>80</Qnormal>
+	<Qthumbnail>80</Qthumbnail>
+	<DPI>72</DPI>
+	<copyright>© 2010</copyright>
+	<copyONhd>false</copyONhd>
+	<copyONnormal>false</copyONnormal>
+	<copyPOS>bottom-right</copyPOS>
+	<copySIZE>0.05</copySIZE>
+	<copyCOLOR>#000000</copyCOLOR>
 	<copyFONT>Arial</copyFONT>
 	<PluginsBefore></PluginsBefore>
Index: /extensions/PHP_Optimisateur/files/display_config.php
===================================================================
--- /extensions/PHP_Optimisateur/files/display_config.php	(revision 8225)
+++ /extensions/PHP_Optimisateur/files/display_config.php	(revision 8226)
@@ -109,5 +109,5 @@
 					<tr>
 						<td><b>'.l10n('copyCOLOR').' :</b></td>
-						<td>rgb('.$copyCOLOR.') <span style="vertical-align:middle;border:1px solid #7f7f7f;width:1.5em;height:0.8em;display:inline-block;background:rgb('.str_replace(' ',',',$copyCOLOR).');">&nbsp;</span></td>
+						<td>'.$copyCOLOR.' <span style="vertical-align:middle;border:1px solid #7f7f7f;width:1.5em;height:0.8em;display:inline-block;background:'.$copyCOLOR.';">&nbsp;</span></td>
 					</tr>
 					<tr>
Index: /extensions/PHP_Optimisateur/files/functions.php
===================================================================
--- /extensions/PHP_Optimisateur/files/functions.php	(revision 8225)
+++ /extensions/PHP_Optimisateur/files/functions.php	(revision 8226)
@@ -5,5 +5,5 @@
 \***************************************/
 
-// Affiche les textes
+// Affiche les textes localisés
 function l10n($code){
 	global $Lang;
@@ -21,5 +21,5 @@
 }
 
-// Trouve la langue
+// Trouve la langue, retourne la langue de l'utilisateur et les langues installées
 function GetLanguage(){
 	// tableau avec les langues installées
@@ -64,5 +64,4 @@
 	} else {
 		return true;
-		
 	}
 }
@@ -70,4 +69,5 @@
 // Supprime un repertoire non-vide
 function rrmdir($dir) {
+	$dir = rtrim($dir, '/');
 	if (is_dir($dir)) {
 		$objects = scandir($dir);
@@ -159,5 +159,5 @@
 			} else if (preg_match('#^([0-9]*)$#', $value)) {
 				settype($array[$key], 'int');		
-			} else if (preg_match('#^([0-9]*)(.|,)([0-9]*)$#', $value)) {
+			} else if (preg_match('#^([0-9]*)(\.|,)([0-9]*)$#', $value)) {
 				settype($array[$key], 'float');		
 			}
@@ -171,5 +171,5 @@
 function bool_to_string($bool, $just_echo=0) {
 	global $Lang;
-	# $just_echo pour pouvoir afficher un booléen tel quel
+	# $just_echo pour pouvoir afficher un booléen tel quel (echo true; n'affiche rien)
 	if (is_bool($bool)) {
 		if ($bool) {
@@ -184,3 +184,35 @@
 	}
 }
+
+// Converti une chaine de config et tableau associatif
+function ExplodeString($string, $sep1=';', $sep2=':') {
+	$result = array();
+	$a = explode($sep1, $string);
+	foreach ($a as $s) {
+	   $v = explode($sep2, $s);
+	   $result[$v[0]] = $v[1];
+	}
+	return $result;
+}
+
+// Converti une couleur HEX et RGB
+function hex2RGB($hexStr, $returnAsString = false, $seperator = ',') {
+	$hexStr = preg_replace("/[^0-9A-Fa-f]/", '', $hexStr); // Gets a proper hex string
+	$rgbArray = array();
+	
+	if (strlen($hexStr) == 6) { //If a proper hex code, convert using bitwise operation. No overhead... faster
+		$colorVal = hexdec($hexStr);
+		$rgbArray['r'] = 0xFF & ($colorVal >> 0x10);
+		$rgbArray['g'] = 0xFF & ($colorVal >> 0x8);
+		$rgbArray['b'] = 0xFF & $colorVal;
+	} elseif (strlen($hexStr) == 3) { //if shorthand notation, need some string manipulations
+		$rgbArray['r'] = hexdec(str_repeat(substr($hexStr, 0, 1), 2));
+		$rgbArray['g'] = hexdec(str_repeat(substr($hexStr, 1, 1), 2));
+		$rgbArray['b'] = hexdec(str_repeat(substr($hexStr, 2, 1), 2));
+	} else {
+		return false; //Invalid hex color code
+	}
+	
+	return $returnAsString ? implode($seperator, $rgbArray) : $rgbArray; // returns the rgb string or the associative array
+}
 ?>
Index: /extensions/PHP_Optimisateur/files/index.php
===================================================================
--- /extensions/PHP_Optimisateur/files/index.php	(revision 8225)
+++ /extensions/PHP_Optimisateur/files/index.php	(revision 8226)
@@ -1,7 +1,7 @@
 <?php
 $url = '../index.php';
-header( 'Request-URI: '.$url );
-header( 'Content-Location: '.$url );
-header( 'Location: '.$url );
+header('Request-URI: '.$url);
+header('Content-Location: '.$url);
+header('Location: '.$url);
 exit();
 ?>
Index: /extensions/PHP_Optimisateur/files/style.css
===================================================================
--- /extensions/PHP_Optimisateur/files/style.css	(revision 8225)
+++ /extensions/PHP_Optimisateur/files/style.css	(revision 8226)
@@ -62,4 +62,5 @@
 	font-size:1.2em;
 	font-style:italic;
+	font-family:"Consolas";
 }
 	a:hover {
Index: /extensions/PHP_Optimisateur/index.php
===================================================================
--- /extensions/PHP_Optimisateur/index.php	(revision 8225)
+++ /extensions/PHP_Optimisateur/index.php	(revision 8226)
@@ -5,5 +5,5 @@
 \***************************************/
 
-set_time_limit(3600);
+set_time_limit(7200);
 $TIME_START = microtime(true);
 
@@ -89,4 +89,5 @@
 	### Copyright & Options générales des conversion ###
 	$copyright = utf8_decode($copyright);
+	$copyCOLOR = hex2RGB(substr($copyCOLOR,1), true, ' ');
 	
 	if ($copyONhd) {
@@ -125,6 +126,6 @@
 		// Découpe le nom de fichier : dossier/fichier
 		preg_match('#(.*)/(.*)$#', $FilesSortie[$i], $matches);
-		$FileFolder = $matches[1];
-		$FileName = $matches[2];
+		$FileFolder = $matches[1]; // dossier de sortie
+		$FileName = $matches[2]; // nom+ext fichier
 			
 		// Crée les sous-dossiers de sortie & 'pwg_high' & 'thumbnail'
@@ -158,5 +159,5 @@
 		}
 		if (!isset($BlockThumbnail)) { 
-			exec('files\nconvert.exe -q '.$Qthumbnail.' -out jpeg -o "'.$FileFolder.'/thumbnail/'.$prefixe_mini.$FileName.'" -dpi 72 '.$convOptions.'-resize '.$DIMthumbnail.' '.$DIMthumbnail.' -rmeta -rexifthumb 	"'.$FilesSource[$i].'"');
+			exec('files\nconvert.exe -q '.$Qthumbnail.' -out jpeg -o "'.$FileFolder.'/thumbnail/'.$prefixe_mini.$FileName.'" -dpi 72 '.$convOptions.' -resize '.$DIMthumbnail.' '.$DIMthumbnail.' -rmeta -rexifthumb "'.$FilesSource[$i].'"');
 		}
 		if (!isset($BlockHigh) AND $DIRhighORNOT) {
Index: /extensions/PHP_Optimisateur/language/en/en.php
===================================================================
--- /extensions/PHP_Optimisateur/language/en/en.php	(revision 8225)
+++ /extensions/PHP_Optimisateur/language/en/en.php	(revision 8226)
@@ -6,8 +6,8 @@
 
 $Lang['ErrorFile'] = "Fatal error : Configuration file missing.";
-$Lang['ErrorFolderIn'] = "Fatal error : Source folder empty.";
-$Lang['ErrorFolderOut'] = "Fatal error : Exit folder not empty.";
-$Lang['ErrorNconvert'] = "The program nconvert.exe is unavailable.";
-$Lang['Source files'] = "Files";
+$Lang['ErrorFolderIn'] = "Fatal error : Input folder empty.";
+$Lang['ErrorFolderOut'] = "Fatal error : Output folder not empty.";
+$Lang['ErrorNconvert'] = "The program nconvert.exe is not found.";
+$Lang['Source files'] = "Handled files";
 $Lang['%d files'] = "%d files";
 $Lang['Finish %d seconds'] = "Process done : %d seconds.";
@@ -18,8 +18,8 @@
 $Lang['Configuration'] = "Configuration";
 $Lang['Folders'] = "Folders";
-$Lang['FolderIn'] = "Source folder";
-$Lang['FolderOut'] = "Exit folder";
+$Lang['FolderIn'] = "Input folder";
+$Lang['FolderOut'] = "Output folder";
 $Lang['Options'] = "Options";
-$Lang['silentORNOT'] = "If exit folder not empty";
+$Lang['silentORNOT'] = "If output folder not empty";
 $Lang['DIRhighORNOT'] = "Create high-definition folders";
 $Lang['DIMhdORNOT'] = "Resize HD pictures";
@@ -29,7 +29,7 @@
 $Lang['Sizes and quality'] = "Sizes and quality";
 $Lang['DIMhd'] = "HD pictures max size";
-$Lang['DIMnormal'] = "Normal pictures size";
+$Lang['DIMnormal'] = "Normal pictures max size";
 $Lang['DIMthumbnail'] = "Thumbnails size";
-$Lang['Qhd'] = "HD pistcures quality";
+$Lang['Qhd'] = "HD pictures quality";
 $Lang['Qnormal'] = "Normal pictures quality";
 $Lang['Qthumbnail'] = "Thumbails quality";
@@ -59,7 +59,7 @@
 $Lang['pass'] = "Continue";
 $Lang['block'] = "Block";
-$Lang['New !'] = " New !";
-$Lang['Missing !'] = " Missing !";
+$Lang['New !'] = "New !";
+$Lang['Missing !'] = "Missing !";
 $Lang['Reset'] = "Reset";
-$Lang['Valid'] = "Valid";
+$Lang['Valid'] = "Validate";
 ?>
Index: /extensions/PHP_Optimisateur/language/fr/fr.php
===================================================================
--- /extensions/PHP_Optimisateur/language/fr/fr.php	(revision 8225)
+++ /extensions/PHP_Optimisateur/language/fr/fr.php	(revision 8226)
@@ -9,5 +9,5 @@
 $Lang['ErrorFolderOut'] = "Erreur fatale : Dossier de sortie non vide.";
 $Lang['ErrorNconvert'] = "Le programme nconvert.exe est introuvable.";
-$Lang['Source files'] = "Fichiers";
+$Lang['Source files'] = "Fichiers traités";
 $Lang['%d files'] = "%d fichiers";
 $Lang['Finish %d seconds'] = "Opération terminée : %d secondes.";
@@ -59,6 +59,6 @@
 $Lang['pass'] = "Continuer";
 $Lang['block'] = "Bloquer";
-$Lang['New !'] = " Nouveau !";
-$Lang['Missing !'] = " Manquant !";
+$Lang['New !'] = "Nouveau !";
+$Lang['Missing !'] = "Manquant !";
 $Lang['Reset'] = "Réinitialiser";
 $Lang['Valid'] = "Valider";
Index: /extensions/PHP_Optimisateur/plugins/convert_pan.xml
===================================================================
--- /extensions/PHP_Optimisateur/plugins/convert_pan.xml	(revision 8225)
+++ /extensions/PHP_Optimisateur/plugins/convert_pan.xml	(revision 8226)
@@ -1,5 +1,5 @@
 <convert_pan>
 	<mode>PluginsProcess</mode>
-	<active>true</active>
+	<active>false</active>
 	<DIMpanorama>500</DIMpanorama>
 	<NAMEpanorama>_pan</NAMEpanorama>
Index: /extensions/PHP_Optimisateur/plugins/create_custom_thumbs.php
===================================================================
--- /extensions/PHP_Optimisateur/plugins/create_custom_thumbs.php	(revision 8225)
+++ /extensions/PHP_Optimisateur/plugins/create_custom_thumbs.php	(revision 8226)
@@ -2,32 +2,76 @@
 /***************************************\
 |			PHP OPTIMISATEUR			|
-|	  Plugin CreateCustomThumbs 1.1		|
+|	  Plugin CreateCustomThumbs 1.0		|
 \***************************************/
 
-## Crée des miniatures de taille fixe
+## Différents traitements sur les miniatures : taille fixe & cadre (2 couleurs)
 ## Dépend de la valeur de $DIMthumbnail
 
 // CreateCustomThumbs à la priorité sur ConvertPan
 if (isset($PluginsProcess['convert_pan']) OR !isset($BlockThumbnail)) { 
+
+	$FileSource = $FilesSource[$i]; // fichier de travail
 	$DIMthumbnailV = $PluginsProcess['create_custom_thumbs']['DIMthumbnailV']; // Hauteur de l'image
-	$max = max($DIMthumbnail, $DIMthumbnailV);
+	$FRAMEparams = $PluginsProcess['create_custom_thumbs']['FRAMEparams']; // Paramètres du cadre
+	
+	// Miniature de taille personnalisée
+	if ($DIMthumbnailV != '0') {
+		$max = max($DIMthumbnail, $DIMthumbnailV);
 
-	// on prend la miniature au milieu de l'image
-	if ($FileInfos['Height'] >= $FileInfos['Width']) {
-		$resize_param = $max.' 0';
-		$tmp_x = $max;
-		$tmp_y = $max * $FileInfos['Height'] / $FileInfos['Width'];
-	} else {
-		$resize_param = '0 '.$max;
-		$tmp_x = $max * $FileInfos['Width'] / $FileInfos['Height'];
-		$tmp_y = $max;
+		// on prend la miniature au milieu de l'image
+		if ($FileInfos['Height'] >= $FileInfos['Width']) {
+			$resize_param = $max.' 0';
+			$tmp_x = $max;
+			$tmp_y = $max * $FileInfos['Height'] / $FileInfos['Width'];
+		} else {
+			$resize_param = '0 '.$max;
+			$tmp_x = $max * $FileInfos['Width'] / $FileInfos['Height'];
+			$tmp_y = $max;
+		}
+		
+		$offset_x = ($tmp_x - $DIMthumbnail) / 2;
+		$offset_y = ($tmp_y - $DIMthumbnailV) / 2;
+		
+		exec('files\nconvert.exe -overwrite -q '.$Qthumbnail.' -out jpeg -o "'.$FileFolder.'/thumbnail/'.$prefixe_mini.$FileName.'" -dpi 72 '.$convOptions.' -resize '.$resize_param.' -crop '.$offset_x.' '.$offset_y.' '.$DIMthumbnail.' '.$DIMthumbnailV.' -rmeta -rexifthumb 	"'.$FileSource.'"');
+		
+		$BlockThumbnail = true;
+		$FileSource = $FileFolder.'/thumbnail/'.$prefixe_mini.$FileName;
 	}
-	
-	$offset_x = ($tmp_x - $DIMthumbnail) / 2;
-	$offset_y = ($tmp_y - $DIMthumbnailV) / 2;
-	
-	exec('files\nconvert.exe -overwrite -q '.$Qthumbnail.' -out jpeg -o "'.$FileFolder.'/thumbnail/'.$prefixe_mini.$FileName.'" -dpi 72 '.$convOptions.' -resize '.$resize_param.' -crop '.$offset_x.' '.$offset_y.' '.$DIMthumbnail.' '.$DIMthumbnailV.' -rmeta -rexifthumb 	"'.$FilesSource[$i].'"');
-	
-	$BlockThumbnail = true;
+
+	// Cadre autour de la miniature
+	if ($FRAMEparams != '0') {
+		// Si la miniature n'a pas encore été générée il faut le faire
+		if ($FileSource == $FilesSource[$i]) {
+			exec('files\nconvert.exe -q '.$Qthumbnail.' -out jpeg -o "'.$FileFolder.'/thumbnail/'.$prefixe_mini.$FileName.'" -dpi 72 '.$convOptions.' -resize '.$DIMthumbnail.' '.$DIMthumbnail.' -rmeta -rexifthumb 	"'.$FilesSource[$i].'"');
+			$FileSource = $FileFolder.'/thumbnail/'.$prefixe_mini.$FileName;
+		}
+
+		$FRAMEparams = ExplodeString($FRAMEparams);
+		$colors['name'] = array_keys($FRAMEparams);
+		$colors['size'] = array_values($FRAMEparams);
+		
+		$img = imagecreatefromjpeg($FileSource);
+		$x = imagesx($img)-1;
+		$y = imagesy($img)-1;
+		
+		$colors[0] = hex2RGB(substr($colors['name'][0],1));
+		$colors[1] = hex2RGB(substr($colors['name'][1],1));
+		$colors[0] = imagecolorallocate($img, $colors[0]['r'], $colors[0]['g'], $colors[0]['b']);
+		$colors[1] = imagecolorallocate($img, $colors[1]['r'], $colors[1]['g'], $colors[1]['b']);
+
+		for ($m=0; $m<$colors['size'][0]; $m++) {
+			imagerectangle($img, $m, $m, $x-$m, $y-$m, $colors[0]);
+		}
+		for ($m=$colors['size'][0]; $m<$colors['size'][0]+$colors['size'][1]; $m++) {
+			imagerectangle($img, $m, $m, $x-$m, $y-$m, $colors[1]);
+		}
+		
+		imagejpeg($img, $FileFolder.'/thumbnail/'.$prefixe_mini.$FileName, $Qthumbnail);
+		imagedestroy($img);
+		
+		$BlockThumbnail = true;
+		$FileSource = $FileFolder.'/thumbnail/'.$prefixe_mini.$FileName;
+	}
 }
+
 ?>
Index: /extensions/PHP_Optimisateur/plugins/create_custom_thumbs.xml
===================================================================
--- /extensions/PHP_Optimisateur/plugins/create_custom_thumbs.xml	(revision 8225)
+++ /extensions/PHP_Optimisateur/plugins/create_custom_thumbs.xml	(revision 8226)
@@ -1,5 +1,6 @@
 <create_custom_thumbs>
 	<mode>PluginsProcess</mode>
-	<active>true</active>
+	<active>false</active>
 	<DIMthumbnailV>120</DIMthumbnailV>
+	<FRAMEparams>#c8c8c8:1;#0a0a0a:4</FRAMEparams>
 </create_custom_thumbs>
Index: /extensions/PHP_Optimisateur/plugins/create_folders_alpha.xml
===================================================================
--- /extensions/PHP_Optimisateur/plugins/create_folders_alpha.xml	(revision 8225)
+++ /extensions/PHP_Optimisateur/plugins/create_folders_alpha.xml	(revision 8226)
@@ -1,4 +1,4 @@
 <create_folders_alpha>
 	<mode>PluginsBefore</mode>
-	<active>true</active>
+	<active>false</active>
 </create_folders_alpha>
Index: /extensions/PHP_Optimisateur/plugins/front2back_support.xml
===================================================================
--- /extensions/PHP_Optimisateur/plugins/front2back_support.xml	(revision 8225)
+++ /extensions/PHP_Optimisateur/plugins/front2back_support.xml	(revision 8226)
@@ -1,5 +1,5 @@
 <front2back_support>
 	<mode>PluginsProcess</mode>
-	<active>true</active>
+	<active>false</active>
 	<NAMEverso>_verso</NAMEverso>
 	<MOVEverso>true</MOVEverso>
Index: /extensions/PHP_Optimisateur/plugins/watermark.xml
===================================================================
--- /extensions/PHP_Optimisateur/plugins/watermark.xml	(revision 8225)
+++ /extensions/PHP_Optimisateur/plugins/watermark.xml	(revision 8226)
@@ -1,5 +1,5 @@
 <watermark>
 	<mode>PluginsBefore</mode>
-	<active>true</active>
+	<active>false</active>
 	<waterFILE>logo.png</waterFILE>
 	<waterALPHA>80</waterALPHA>
Index: /extensions/PHP_Optimisateur/setup.php
===================================================================
--- /extensions/PHP_Optimisateur/setup.php	(revision 8225)
+++ /extensions/PHP_Optimisateur/setup.php	(revision 8226)
@@ -11,6 +11,6 @@
 if (isset($_POST['DIRsource'])) {
 	// Quelques traitements
-	$_POST['copyCOLOR'] = implode(' ', $_POST['copyCOLOR']);
 	$_POST['copyPOS'] = implode('-', $_POST['copyPOS']);
+	if (!preg_match('#^\#(.*)#', $_POST['copyCOLOR'])) $_POST['copyCOLOR'] = '#'.$_POST['copyCOLOR'];
 	
 	// Plugins : ensembles existants même si vides & supprime les plugins manquants
@@ -56,5 +56,5 @@
 		echo '<div class="error">'.l10n($key).'</div>';
 	}
-	echo '<div class="link"><a href="index.php">'.l10n('Back').'</a> <a href="setup.php">'.l10n('Config').'</a></div>';
+	echo '<div class="link"><a href="index.php">>&raquo; '.l10n('Back').'</a> <a href="setup.php">>&raquo; '.l10n('Config').'</a></div>';
 }
 
@@ -80,6 +80,4 @@
 			${$plugin_mode}[$plugin_name] = $plugin;
 			$NewPlugins[$plugin_name] = true;
-		} else if (!file_exists('plugins/'.$plugin_name.'.php')) {
-			$MissingPlugins[$plugin_name] = true;
 		}
 	}
@@ -97,5 +95,4 @@
 
 	### Formulaire ###
-	$copyCOLOR = explode(' ', $copyCOLOR);
 	$copyPOS = explode('-', $copyPOS);
 	
@@ -247,9 +244,5 @@
 						<tr>
 							<td><b>'.l10n('copyCOLOR').' :</b></td>
-							<td>
-								<input type="text" name="copyCOLOR[0]" value="'.$copyCOLOR[0].'" size="3" onFocus="this.select();" onKeyUp="suivant(this,\'copyCOLOR[1]\', 3)"/>
-								<input type="text" name="copyCOLOR[1]" value="'.$copyCOLOR[1].'" size="3" onFocus="this.select();" onKeyUp="suivant(this,\'copyCOLOR[2]\', 3)"/>
-								<input type="text" name="copyCOLOR[2]" value="'.$copyCOLOR[2].'" size="3" onFocus="this.select();" />
-							</td>
+							<td><input type="text" name="copyCOLOR" value="'.$copyCOLOR.'" size="6"/></td>
 						</tr>
 						<tr>
@@ -265,4 +258,5 @@
 			<h2>'.l10n('Plugins').'</h2>
 			<ul>';
+			
 				// Affichage des plugins, un bloc par mode
 				foreach (array('PluginsBefore','PluginsProcess','PluginsAfter') as $mode) {
@@ -277,7 +271,7 @@
 									// Cas spéciaux dans le titre(nouveau, manquant)
 									if (isset($NewPlugins[$name])) {
-										echo '<b class="new">'.l10n('New !').'</b>';
+										echo ' <b class="new">'.l10n('New !').'</b>';
 									} else if (isset($MissingPlugins[$name])) {
-										echo '<b class="miss">'.l10n('Missing !').'</b>';
+										echo ' <b class="miss">'.l10n('Missing !').'</b>';
 									}
 									
@@ -287,12 +281,13 @@
 											echo '<tr>
 												<td>'.l10n('erase').' :</td>
-												<td><input type="checkbox" name="'.$mode.'['.$name.'][delete]" value="true" checked="checked"/></td>
+												<td><input type="checkbox" name="'.$mode.'['.$name.'][delete]" value="true" checked/></td>
 											</tr>';
 										// sinon on affiche sa configuration
 										} else {
 											foreach ($config as $key => $value) {
+												$value = bool_to_string($value,1);
 												echo '<tr>
 													<td>'.$key.' :</td>
-													<td><input type="text" name="'.$mode.'['.$name.']['.$key.']" value="'.bool_to_string($value,1).'" size="'.strlen(bool_to_string($value,1)).'"/></td>
+													<td><input type="text" name="'.$mode.'['.$name.']['.$key.']" value="'.$value.'" size="'.strlen($value).'"/></td>
 												</tr>';
 											}