Index: extensions/LCAS/trunk/language/en_UK/plugin.lang.php
===================================================================
--- extensions/LCAS/trunk/language/en_UK/plugin.lang.php	(revision 8182)
+++ extensions/LCAS/trunk/language/en_UK/plugin.lang.php	(revision 8239)
@@ -1,59 +1,56 @@
 <?php
 
-// to do: to translate
-
-global $lang,$conf;
-
-$conf_LCAS= unserialize($conf['LoginCaseAccentsSensitivity']);
+global $lang;
 
 $lang['LCAS_Tab_Global'] = 'Configuration';
 $lang['LCAS_Title_Tab'] = 'Login Case Accents Sensitivity';
-$lang['LCAS_SubTitle_Global'] = 'Configuration du plugin';
+$lang['LCAS_SubTitle_Global'] = 'Plugin configuration';
 
-$lang['LCAS_Title_Global'] = 'Paramétrage de la sensibilité';
+$lang['LCAS_Title_Global'] = 'Setting the sensitivity';
 
 
-$lang['LCAS_Case_Sensitive'] = 'Sensibilité à la casse :';
-$lang['LCAS_Case_Sensitive_false'] = ' Activer (valeur par défaut)';
-$lang['LCAS_Case_Sensitive_true'] = ' Désactiver';
+$lang['LCAS_Case_Sensitive'] = 'Case insensitivity :';
+$lang['LCAS_Case_Sensitive_false'] = ' Enable (default value)';
+$lang['LCAS_Case_Sensitive_true'] = ' Disable';
 
-$lang['LCAS_Accent_Sensitive'] = 'Sensibilité aux accents :';
-$lang['LCAS_Accent_Sensitive_false'] = ' Activer (valeur par défaut)';
-$lang['LCAS_Accent_Sensitive_true'] = ' Désactiver';
+$lang['LCAS_Accent_Sensitive'] = 'Accents insensivity :';
+$lang['LCAS_Accent_Sensitive_false'] = ' Enable (default value)';
+$lang['LCAS_Accent_Sensitive_true'] = ' Disable';
 
-$lang['LCAS_currentPWGConfigHeader'] = 'Paramètre actuel de Piwigo';
+$lang['LCAS_currentPWGConfigHeader'] = 'Current Piwigo\'s setting';
 
-$lang['LCAS_Support_txt'] = 'Le support officiel sur ce plugin se fait exclusivement sur ces fils du forum Piwigo:<br>
-<a href="http://fr.piwigo.org/forum/viewtopic.php?pid=158565" onclick="window.open(this.href);return false;">Forum français - http://fr.piwigo.org/forum/viewtopic.php?id=ToDefine</a>
+$lang['LCAS_Support_txt'] = 'The official support on this plugin is only on these Piwigo\'s forum topics:<br>
+<a href="http://fr.piwigo.org/forum/viewtopic.php?pid=158565" onclick="window.open(this.href);return false;">French forum - http://fr.piwigo.org/forum/viewtopic.php?id=ToDefine</a>
 <br>ou<br>
-<a href="http://fr.piwigo.org/forum/viewtopic.php?pid=158565" onclick="window.open(this.href);return false;">Forum anglais - http://piwigo.org/forum/viewtopic.php?id=ToDefine</a><br><br>
-Egalement disponible, le bugtracker du projet: <a href="http://piwigo.org/bugs/" onclick="window.open(this.href);return false;">http://piwigo.org/bugs/</a>';
+<a href="http://fr.piwigo.org/forum/viewtopic.php?pid=158565" onclick="window.open(this.href);return false;">English forum - http://piwigo.org/forum/viewtopic.php?id=ToDefine</a><br><br>
+Also available, the project\'s bugtracker: <a href="http://piwigo.org/bugs/" onclick="window.open(this.href);return false;">http://piwigo.org/bugs/</a>';
 
 
 
-$lang['LCAS_Tab_UserList'] = 'Validation des utilisateurs';
-$lang['LCAS_SubTitle_UserList'] = 'Vérification des utilisateurs';
+$lang['LCAS_Tab_UserList'] = 'Users validation';
+$lang['LCAS_SubTitle_UserList'] = 'Users check';
 
-$lang['LCAS_UserList_Title'] = 'Utilisateurs nécessitant des modifications';
+$lang['LCAS_UserList_Title'] = 'Users requiring changes';
 
 
-$lang['LCAS_Err_Userlist_Settings'] = 'Cette page n\'est accessible que si un paramétrage pour au moins une des sensibilités est activé.';
+$lang['LCAS_Err_Userlist_Settings'] = 'This page is available only if at least one sensitivity option is enabled.';
 
-$lang['LCAS_Info_userlist_username_renamed'] = 'Le nom de l\'utilisateur a été mis à jour.';
-$lang['LCAS_Err_Userlist_Empty_New_Username'] = 'Le nom de l\'utilisateur ne peut être vide.';
+$lang['LCAS_Info_userlist_username_renamed'] = 'The user name has been updated.';
+$lang['LCAS_Err_Userlist_Empty_New_Username'] = 'The user name can\'t be blank.';
 
-$lang['LCAS_Compare_value_h'] = 'Comparaison';
-$lang['LCAS_Update_h'] = 'Modifier';
-$lang['LCAS_Notify_h'] = 'Notifier';
+$lang['LCAS_Compare_value_h'] = 'Comparison';
+$lang['LCAS_Update_h'] = 'Change';
+$lang['LCAS_Notify_h'] = 'Notify';
 
-$lang['LCAS_Update_User'] = 'Mettre &agrave; jour';
-$lang['LCAS_Send_Email'] = 'Envoyer email';
+$lang['LCAS_Update_User'] = 'Update';
+$lang['LCAS_Send_Email'] = 'Email sent';
 
-$lang['LCAS_No_User'] = 'Aucun problème détecté pour les utilisateurs actuels';
+$lang['LCAS_No_User'] = 'No problems found for current users';
 
 
-$lang['LCAS_save_config'] = 'Paramètres enregistrés<br/>Veuillez vérifier les éventuels utilisateurs problématiques sur le second onglet.';
+$lang['LCAS_save_config'] = 'Settings saved<br/>Please check any duplicate users in the following table.';
 
-$lang['submit'] = 'Sauvegarder les paramètres';
+$lang['submit'] = 'Save settings';
 
+$lang['LCAS_accent_error'] = '<br>Usernames are accent insensitive too (e = é = è = ê)!';
 ?>
Index: extensions/LCAS/trunk/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/LCAS/trunk/language/fr_FR/plugin.lang.php	(revision 8182)
+++ extensions/LCAS/trunk/language/fr_FR/plugin.lang.php	(revision 8239)
@@ -1,7 +1,5 @@
 <?php
 
-global $lang,$conf;
-
-$conf_LCAS= unserialize($conf['LoginCaseAccentsSensitivity']);
+global $lang;
 
 $lang['LCAS_Tab_Global'] = 'Configuration';
@@ -36,5 +34,5 @@
 
 
-$lang['LCAS_Err_Userlist_Settings'] = 'Cette page n\'est accessible que si un paramétrage pour au moins une des sensibilités est activé.';
+$lang['LCAS_Err_Userlist_Settings'] = 'Cette page n\'est accessible que si au moins une option de sensibilité est activée.';
 
 $lang['LCAS_Info_userlist_username_renamed'] = 'Le nom de l\'utilisateur a été mis à jour.';
@@ -51,8 +49,8 @@
 
 
-$lang['LCAS_save_config'] = 'Paramètres enregistrés<br/>Veuillez vérifier les éventuels utilisateurs problématiques dans le second paragraphe.';
+$lang['LCAS_save_config'] = 'Paramètres enregistrés<br/>Veuillez vérifier les éventuels utilisateurs problématiques dans le tableau ci-dessous';
 
 $lang['submit'] = 'Sauvegarder les paramètres';
 
-
+$lang['LCAS_accent_error'] = '<br>Le nom d\'utilisateur est également insensible aux accents (e = é = è = ê)!';
 ?>