Index: extensions/FacebookPlug/Plugin/language/en_UK/plugin.lang.php
===================================================================
--- extensions/FacebookPlug/Plugin/language/en_UK/plugin.lang.php	(revision 8241)
+++ extensions/FacebookPlug/Plugin/language/en_UK/plugin.lang.php	(revision 8241)
@@ -0,0 +1,46 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | FacebookPlug - a Piwigo Plugin                                        |
+// | Copyright (C) 2010 Ruben ARNAUD - rub@piwigo.org                      |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+if (!defined('PHPWG_ROOT_PATH'))
+{
+  die('Hacking attempt!');
+}
+
+$lang['page'] = 'page';
+$lang['image'] = 'image';
+$lang['standard'] = 'standard';
+$lang['button_count'] = 'button_count';
+$lang['box_count'] = 'box_count';
+$lang['like'] = 'like';
+$lang['recommend'] = 'recommend';
+$lang['light'] = 'light';
+$lang['dark'] = 'dark';
+$lang['Social plugin'] = 'Social plugin';
+$lang['Advanced'] = 'Advanced';
+$lang['Asynchronous Facebook access'] = 'Asynchronous Facebook access';
+$lang['Allow Facebook to see private page (recommended)'] = 'Allow Facebook to see private page (recommended)';
+$lang['Like button'] = 'Like button';
+$lang['Enabled'] = 'Enabled';
+$lang['URL type'] = 'URL type';
+$lang['Layout style'] = 'Layout style';
+$lang['Show faces'] = 'Voir les faces';
+$lang['Verb to display'] = 'Texte à afficher';
+$lang['Color scheme'] = 'Jeu de couleurs';
+
+?>
Index: extensions/FacebookPlug/Plugin/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/FacebookPlug/Plugin/language/fr_FR/plugin.lang.php	(revision 8241)
+++ extensions/FacebookPlug/Plugin/language/fr_FR/plugin.lang.php	(revision 8241)
@@ -0,0 +1,46 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | FacebookPlug - a Piwigo Plugin                                        |
+// | Copyright (C) 2010 Ruben ARNAUD - rub@piwigo.org                      |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+if (!defined('PHPWG_ROOT_PATH'))
+{
+  die('Hacking attempt!');
+}
+
+$lang['page'] = 'page';
+$lang['image'] = 'image';
+$lang['standard'] = 'standard';
+$lang['button_count'] = 'bouton avec compteur';
+$lang['box_count'] = 'boite avec compteur';
+$lang['like'] = 'j\'aime';
+$lang['recommend'] = 'recommande';
+$lang['light'] = 'clair';
+$lang['dark'] = 'foncé';
+$lang['Social plugin'] = 'Plugin social';
+$lang['Advanced'] = 'Avancé';
+$lang['Asynchronous Facebook access'] = 'Accès asynchrone à Facebook';
+$lang['Allow Facebook to see private page (recommended)'] = 'Permettre à Facebook de voir les pages privées (recommendé)';
+$lang['Like button'] = 'Bouton "J\'aime"';
+$lang['Enabled'] = 'Activé';
+$lang['URL type'] = 'Type d\'URL';
+$lang['Layout style'] = 'Style d\'affichage';
+$lang['Show faces'] = 'Show face';
+$lang['Verb to display'] = 'Verb to display';
+$lang['Color scheme'] = 'Color scheme';
+
+?>